package com.idea.buildManage.response;

import com.idea.buildManage.model.ParkRoom;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ParkRoomResponse extends ParkRoom {

    private String buildName;

    private String groupName;

    /**
     * 楼盘名称
     */
    private String discName;

//    private String floorName;

    //add - 逻辑字段 - 租赁公司
    public String enterpriseName;

    /**
     * 绑定人员
     */
    private String manageName;

    /**
     * 房屋朝向集合
     */
    private List<String> directions;


    /**
     * 房屋楼盘名称集合
     */
    private List<String> floorDiscNames;

    /**
     * 房屋状态集合
     */
    private List<String> states;

    /**
     * 房屋用途集合
     */
    private List<String> roomUses;

    /**
     * 房屋是否可用
     */
    private List<String> isEnables;

    /**
     * 物业性质
     */
    private List<String> propertyNatures;

    /**
     * 签章
     */
    private List<String> currentStates;

    /**
     * 树id
     */
    private String nodeId;

    /**
     * 树层级
     */
    private String level;

    private String yearMonth;

    private String yearMonthDay;

    private String sizeStart;

    private String sizeEnd;

    private BigDecimal subscriptionFunds;

    private String isChooseStr;

    private String customerManagementId;

    private String chooseStatus;

    private String contractId;

}