package com.idea.invoice.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class InvoiceManage implements Serializable {
    private String id;

    private String contractId;

    private String customerManagementId;

    private String contractNumber;

    private String recordNumber;

    private String type;

    private String costType;

    private String paymentType;

    private String sendStatus;

    private String invoiceStatus;

    private Date invoiceDate;

    private String invoiceCode;

    private String invoiceNo;

    private String invoiceType;

    private BigDecimal invoiceAmount;

    private String invoiceTax;

    private BigDecimal invoiceCount;

    private BigDecimal invoicePrice;

    private String invoiceGoodsCode;

    private String invoiceGoodsName;

    private String invoiceSellerName;

    private String invoiceSellerNumber;

    private String invoiceSellerBank;

    private String invoiceSellerBankNumber;

    private String invoiceSellerAddress;

    private String invoiceSellerPhone;

    private String invoiceEmail;

    private String invoicePhone;

    private String invoiceContent;

    private Date submitTime;

    private String submitUser;

    private String invoiceHeaderId;

    private String invoiceHeaderName;

    private String invoiceHeaderNumber;

    private String invoiceHeaderAddress;

    private String invoiceHeaderPhone;

    private String invoiceHeaderBank;

    private String invoiceHeaderBankNumber;

    private String badDebtReason;

    private String createUser;

    private Date createTime;

    private String updateUser;

    private Date updateTime;

    private String invoiceFile;

    private String takeStatus;

    private String takeUser;

    private Date takeDate;

    private String takeNotes;

    private String takeUpdateUser;

    private String redInvoiceNo;

    private String redConfirmUuid;

    private String redConfirmNo;

    private String redConfirmSerialNo;

    private String confirmState;

    private String remark;

    private String eInvoiceUrl;

    private String serialNo;

    private String specifications;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId == null ? null : contractId.trim();
    }

    public String getCustomerManagementId() {
        return customerManagementId;
    }

    public void setCustomerManagementId(String customerManagementId) {
        this.customerManagementId = customerManagementId == null ? null : customerManagementId.trim();
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber == null ? null : contractNumber.trim();
    }

    public String getRecordNumber() {
        return recordNumber;
    }

    public void setRecordNumber(String recordNumber) {
        this.recordNumber = recordNumber == null ? null : recordNumber.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getCostType() {
        return costType;
    }

    public void setCostType(String costType) {
        this.costType = costType == null ? null : costType.trim();
    }

    public String getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(String paymentType) {
        this.paymentType = paymentType == null ? null : paymentType.trim();
    }

    public String getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(String sendStatus) {
        this.sendStatus = sendStatus == null ? null : sendStatus.trim();
    }

    public String getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(String invoiceStatus) {
        this.invoiceStatus = invoiceStatus == null ? null : invoiceStatus.trim();
    }

    public Date getInvoiceDate() {
        return invoiceDate;
    }

    public void setInvoiceDate(Date invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode == null ? null : invoiceCode.trim();
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo == null ? null : invoiceNo.trim();
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType == null ? null : invoiceType.trim();
    }

    public BigDecimal getInvoiceAmount() {
        return invoiceAmount;
    }

    public void setInvoiceAmount(BigDecimal invoiceAmount) {
        this.invoiceAmount = invoiceAmount;
    }

    public String getInvoiceTax() {
        return invoiceTax;
    }

    public void setInvoiceTax(String invoiceTax) {
        this.invoiceTax = invoiceTax == null ? null : invoiceTax.trim();
    }

    public BigDecimal getInvoiceCount() {
        return invoiceCount;
    }

    public void setInvoiceCount(BigDecimal invoiceCount) {
        this.invoiceCount = invoiceCount;
    }

    public BigDecimal getInvoicePrice() {
        return invoicePrice;
    }

    public void setInvoicePrice(BigDecimal invoicePrice) {
        this.invoicePrice = invoicePrice;
    }

    public String getInvoiceGoodsCode() {
        return invoiceGoodsCode;
    }

    public void setInvoiceGoodsCode(String invoiceGoodsCode) {
        this.invoiceGoodsCode = invoiceGoodsCode == null ? null : invoiceGoodsCode.trim();
    }

    public String getInvoiceGoodsName() {
        return invoiceGoodsName;
    }

    public void setInvoiceGoodsName(String invoiceGoodsName) {
        this.invoiceGoodsName = invoiceGoodsName == null ? null : invoiceGoodsName.trim();
    }

    public String getInvoiceSellerName() {
        return invoiceSellerName;
    }

    public void setInvoiceSellerName(String invoiceSellerName) {
        this.invoiceSellerName = invoiceSellerName == null ? null : invoiceSellerName.trim();
    }

    public String getInvoiceSellerNumber() {
        return invoiceSellerNumber;
    }

    public void setInvoiceSellerNumber(String invoiceSellerNumber) {
        this.invoiceSellerNumber = invoiceSellerNumber == null ? null : invoiceSellerNumber.trim();
    }

    public String getInvoiceSellerBank() {
        return invoiceSellerBank;
    }

    public void setInvoiceSellerBank(String invoiceSellerBank) {
        this.invoiceSellerBank = invoiceSellerBank == null ? null : invoiceSellerBank.trim();
    }

    public String getInvoiceSellerBankNumber() {
        return invoiceSellerBankNumber;
    }

    public void setInvoiceSellerBankNumber(String invoiceSellerBankNumber) {
        this.invoiceSellerBankNumber = invoiceSellerBankNumber == null ? null : invoiceSellerBankNumber.trim();
    }

    public String getInvoiceSellerAddress() {
        return invoiceSellerAddress;
    }

    public void setInvoiceSellerAddress(String invoiceSellerAddress) {
        this.invoiceSellerAddress = invoiceSellerAddress == null ? null : invoiceSellerAddress.trim();
    }

    public String getInvoiceSellerPhone() {
        return invoiceSellerPhone;
    }

    public void setInvoiceSellerPhone(String invoiceSellerPhone) {
        this.invoiceSellerPhone = invoiceSellerPhone == null ? null : invoiceSellerPhone.trim();
    }

    public String getInvoiceEmail() {
        return invoiceEmail;
    }

    public void setInvoiceEmail(String invoiceEmail) {
        this.invoiceEmail = invoiceEmail == null ? null : invoiceEmail.trim();
    }

    public String getInvoicePhone() {
        return invoicePhone;
    }

    public void setInvoicePhone(String invoicePhone) {
        this.invoicePhone = invoicePhone == null ? null : invoicePhone.trim();
    }

    public String getInvoiceContent() {
        return invoiceContent;
    }

    public void setInvoiceContent(String invoiceContent) {
        this.invoiceContent = invoiceContent == null ? null : invoiceContent.trim();
    }

    public Date getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

    public String getSubmitUser() {
        return submitUser;
    }

    public void setSubmitUser(String submitUser) {
        this.submitUser = submitUser == null ? null : submitUser.trim();
    }

    public String getInvoiceHeaderId() {
        return invoiceHeaderId;
    }

    public void setInvoiceHeaderId(String invoiceHeaderId) {
        this.invoiceHeaderId = invoiceHeaderId == null ? null : invoiceHeaderId.trim();
    }

    public String getInvoiceHeaderName() {
        return invoiceHeaderName;
    }

    public void setInvoiceHeaderName(String invoiceHeaderName) {
        this.invoiceHeaderName = invoiceHeaderName == null ? null : invoiceHeaderName.trim();
    }

    public String getInvoiceHeaderNumber() {
        return invoiceHeaderNumber;
    }

    public void setInvoiceHeaderNumber(String invoiceHeaderNumber) {
        this.invoiceHeaderNumber = invoiceHeaderNumber == null ? null : invoiceHeaderNumber.trim();
    }

    public String getInvoiceHeaderAddress() {
        return invoiceHeaderAddress;
    }

    public void setInvoiceHeaderAddress(String invoiceHeaderAddress) {
        this.invoiceHeaderAddress = invoiceHeaderAddress == null ? null : invoiceHeaderAddress.trim();
    }

    public String getInvoiceHeaderPhone() {
        return invoiceHeaderPhone;
    }

    public void setInvoiceHeaderPhone(String invoiceHeaderPhone) {
        this.invoiceHeaderPhone = invoiceHeaderPhone == null ? null : invoiceHeaderPhone.trim();
    }

    public String getInvoiceHeaderBank() {
        return invoiceHeaderBank;
    }

    public void setInvoiceHeaderBank(String invoiceHeaderBank) {
        this.invoiceHeaderBank = invoiceHeaderBank == null ? null : invoiceHeaderBank.trim();
    }

    public String getInvoiceHeaderBankNumber() {
        return invoiceHeaderBankNumber;
    }

    public void setInvoiceHeaderBankNumber(String invoiceHeaderBankNumber) {
        this.invoiceHeaderBankNumber = invoiceHeaderBankNumber == null ? null : invoiceHeaderBankNumber.trim();
    }

    public String getBadDebtReason() {
        return badDebtReason;
    }

    public void setBadDebtReason(String badDebtReason) {
        this.badDebtReason = badDebtReason == null ? null : badDebtReason.trim();
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser == null ? null : createUser.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser == null ? null : updateUser.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInvoiceFile() {
        return invoiceFile;
    }

    public void setInvoiceFile(String invoiceFile) {
        this.invoiceFile = invoiceFile == null ? null : invoiceFile.trim();
    }

    public String getTakeStatus() {
        return takeStatus;
    }

    public void setTakeStatus(String takeStatus) {
        this.takeStatus = takeStatus == null ? null : takeStatus.trim();
    }

    public String getTakeUser() {
        return takeUser;
    }

    public void setTakeUser(String takeUser) {
        this.takeUser = takeUser == null ? null : takeUser.trim();
    }

    public Date getTakeDate() {
        return takeDate;
    }

    public void setTakeDate(Date takeDate) {
        this.takeDate = takeDate;
    }

    public String getTakeNotes() {
        return takeNotes;
    }

    public void setTakeNotes(String takeNotes) {
        this.takeNotes = takeNotes == null ? null : takeNotes.trim();
    }

    public String getTakeUpdateUser() {
        return takeUpdateUser;
    }

    public void setTakeUpdateUser(String takeUpdateUser) {
        this.takeUpdateUser = takeUpdateUser == null ? null : takeUpdateUser.trim();
    }

    public String getRedInvoiceNo() {
        return redInvoiceNo;
    }

    public void setRedInvoiceNo(String redInvoiceNo) {
        this.redInvoiceNo = redInvoiceNo == null ? null : redInvoiceNo.trim();
    }

    public String getRedConfirmUuid() {
        return redConfirmUuid;
    }

    public void setRedConfirmUuid(String redConfirmUuid) {
        this.redConfirmUuid = redConfirmUuid == null ? null : redConfirmUuid.trim();
    }

    public String getRedConfirmNo() {
        return redConfirmNo;
    }

    public void setRedConfirmNo(String redConfirmNo) {
        this.redConfirmNo = redConfirmNo == null ? null : redConfirmNo.trim();
    }

    public String getRedConfirmSerialNo() {
        return redConfirmSerialNo;
    }

    public void setRedConfirmSerialNo(String redConfirmSerialNo) {
        this.redConfirmSerialNo = redConfirmSerialNo == null ? null : redConfirmSerialNo.trim();
    }

    public String getConfirmState() {
        return confirmState;
    }

    public void setConfirmState(String confirmState) {
        this.confirmState = confirmState == null ? null : confirmState.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String geteInvoiceUrl() {
        return eInvoiceUrl;
    }

    public void seteInvoiceUrl(String eInvoiceUrl) {
        this.eInvoiceUrl = eInvoiceUrl == null ? null : eInvoiceUrl.trim();
    }

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo == null ? null : serialNo.trim();
    }

    public String getSpecifications() {
        return specifications;
    }

    public void setSpecifications(String specifications) {
        this.specifications = specifications == null ? null : specifications.trim();
    }
}