package com.idea.invoice.util;

public class InvoiceConstant {

    // 0待开票 1已开票 2已发票作废 3待坏账红冲 4已坏账红冲
    public static final String INVOICE_STATUS_WAIT = "0";
    public static final String INVOICE_STATUS_FINISH = "1";
    public static final String INVOICE_STATUS_ERROR = "2";
    public static final String INVOICE_STATUS_WAIT_BAD_DEBT = "3";
    public static final String INVOICE_STATUS_BAD_DEBT = "4";

    // 026 增值税电子发票, 007 增值税普通发票, 028 增值税电子专用发票, 004 增值税专用发票
    public static final String INVOICE_TYPE_ELE_NORMAL = "026";
    public static final String INVOICE_TYPE_NORMAL = "007";
    public static final String INVOICE_TYPE_ELE_SPECIAL = "028";
    public static final String INVOICE_TYPE_SPECIAL = "004";



    // 税收商品编码
    // 房地产预收款
    public static final String INVOICE_GOODS_CODE_ADVANCE_PAYMENT = "";
    public static final String INVOICE_GOODS_NAME_ADVANCE_PAYMENT = "房地产预收款";

    // 不动产
    public static final String INVOICE_GOODS_CODE_REAL_ESTATE = "";
    public static final String INVOICE_GOODS_NAME_REAL_ESTATE = "不动产";


    // 开票销方信息
    // 企业名称
    public static final String INVOICE_SELLER_NAME = "无锡安恒置业有限公司";
    // 税号
    public static final String INVOICE_SELLER_NUMBER = "91320213MA27N437X0";
    public static final String INVOICE_SELLER_NUMBER_TEST = "";
    // 地址
    public static final String INVOICE_SELLER_ADDRESS = "";
    // 电话
    public static final String INVOICE_SELLER_PHONE = "";


}
