package com.idea.invoice.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class InvoiceManageExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public InvoiceManageExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andContractIdIsNull() {
            addCriterion("contract_id is null");
            return (Criteria) this;
        }

        public Criteria andContractIdIsNotNull() {
            addCriterion("contract_id is not null");
            return (Criteria) this;
        }

        public Criteria andContractIdEqualTo(String value) {
            addCriterion("contract_id =", value, "contractId");
            return (Criteria) this;
        }

        public Criteria andContractIdNotEqualTo(String value) {
            addCriterion("contract_id <>", value, "contractId");
            return (Criteria) this;
        }

        public Criteria andContractIdGreaterThan(String value) {
            addCriterion("contract_id >", value, "contractId");
            return (Criteria) this;
        }

        public Criteria andContractIdGreaterThanOrEqualTo(String value) {
            addCriterion("contract_id >=", value, "contractId");
            return (Criteria) this;
        }

        public Criteria andContractIdLessThan(String value) {
            addCriterion("contract_id <", value, "contractId");
            return (Criteria) this;
        }

        public Criteria andContractIdLessThanOrEqualTo(String value) {
            addCriterion("contract_id <=", value, "contractId");
            return (Criteria) this;
        }

        public Criteria andContractIdLike(String value) {
            addCriterion("contract_id like", value, "contractId");
            return (Criteria) this;
        }

        public Criteria andContractIdNotLike(String value) {
            addCriterion("contract_id not like", value, "contractId");
            return (Criteria) this;
        }

        public Criteria andContractIdIn(List<String> values) {
            addCriterion("contract_id in", values, "contractId");
            return (Criteria) this;
        }

        public Criteria andContractIdNotIn(List<String> values) {
            addCriterion("contract_id not in", values, "contractId");
            return (Criteria) this;
        }

        public Criteria andContractIdBetween(String value1, String value2) {
            addCriterion("contract_id between", value1, value2, "contractId");
            return (Criteria) this;
        }

        public Criteria andContractIdNotBetween(String value1, String value2) {
            addCriterion("contract_id not between", value1, value2, "contractId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdIsNull() {
            addCriterion("customer_management_id is null");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdIsNotNull() {
            addCriterion("customer_management_id is not null");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdEqualTo(String value) {
            addCriterion("customer_management_id =", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdNotEqualTo(String value) {
            addCriterion("customer_management_id <>", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdGreaterThan(String value) {
            addCriterion("customer_management_id >", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdGreaterThanOrEqualTo(String value) {
            addCriterion("customer_management_id >=", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdLessThan(String value) {
            addCriterion("customer_management_id <", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdLessThanOrEqualTo(String value) {
            addCriterion("customer_management_id <=", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdLike(String value) {
            addCriterion("customer_management_id like", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdNotLike(String value) {
            addCriterion("customer_management_id not like", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdIn(List<String> values) {
            addCriterion("customer_management_id in", values, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdNotIn(List<String> values) {
            addCriterion("customer_management_id not in", values, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdBetween(String value1, String value2) {
            addCriterion("customer_management_id between", value1, value2, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdNotBetween(String value1, String value2) {
            addCriterion("customer_management_id not between", value1, value2, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andContractNumberIsNull() {
            addCriterion("contract_number is null");
            return (Criteria) this;
        }

        public Criteria andContractNumberIsNotNull() {
            addCriterion("contract_number is not null");
            return (Criteria) this;
        }

        public Criteria andContractNumberEqualTo(String value) {
            addCriterion("contract_number =", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberNotEqualTo(String value) {
            addCriterion("contract_number <>", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberGreaterThan(String value) {
            addCriterion("contract_number >", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberGreaterThanOrEqualTo(String value) {
            addCriterion("contract_number >=", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberLessThan(String value) {
            addCriterion("contract_number <", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberLessThanOrEqualTo(String value) {
            addCriterion("contract_number <=", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberLike(String value) {
            addCriterion("contract_number like", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberNotLike(String value) {
            addCriterion("contract_number not like", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberIn(List<String> values) {
            addCriterion("contract_number in", values, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberNotIn(List<String> values) {
            addCriterion("contract_number not in", values, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberBetween(String value1, String value2) {
            addCriterion("contract_number between", value1, value2, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberNotBetween(String value1, String value2) {
            addCriterion("contract_number not between", value1, value2, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberIsNull() {
            addCriterion("record_number is null");
            return (Criteria) this;
        }

        public Criteria andRecordNumberIsNotNull() {
            addCriterion("record_number is not null");
            return (Criteria) this;
        }

        public Criteria andRecordNumberEqualTo(String value) {
            addCriterion("record_number =", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberNotEqualTo(String value) {
            addCriterion("record_number <>", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberGreaterThan(String value) {
            addCriterion("record_number >", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberGreaterThanOrEqualTo(String value) {
            addCriterion("record_number >=", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberLessThan(String value) {
            addCriterion("record_number <", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberLessThanOrEqualTo(String value) {
            addCriterion("record_number <=", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberLike(String value) {
            addCriterion("record_number like", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberNotLike(String value) {
            addCriterion("record_number not like", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberIn(List<String> values) {
            addCriterion("record_number in", values, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberNotIn(List<String> values) {
            addCriterion("record_number not in", values, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberBetween(String value1, String value2) {
            addCriterion("record_number between", value1, value2, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberNotBetween(String value1, String value2) {
            addCriterion("record_number not between", value1, value2, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andTypeIsNull() {
            addCriterion("type is null");
            return (Criteria) this;
        }

        public Criteria andTypeIsNotNull() {
            addCriterion("type is not null");
            return (Criteria) this;
        }

        public Criteria andTypeEqualTo(String value) {
            addCriterion("type =", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotEqualTo(String value) {
            addCriterion("type <>", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThan(String value) {
            addCriterion("type >", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThanOrEqualTo(String value) {
            addCriterion("type >=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThan(String value) {
            addCriterion("type <", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThanOrEqualTo(String value) {
            addCriterion("type <=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLike(String value) {
            addCriterion("type like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotLike(String value) {
            addCriterion("type not like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeIn(List<String> values) {
            addCriterion("type in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotIn(List<String> values) {
            addCriterion("type not in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeBetween(String value1, String value2) {
            addCriterion("type between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotBetween(String value1, String value2) {
            addCriterion("type not between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andCostTypeIsNull() {
            addCriterion("cost_type is null");
            return (Criteria) this;
        }

        public Criteria andCostTypeIsNotNull() {
            addCriterion("cost_type is not null");
            return (Criteria) this;
        }

        public Criteria andCostTypeEqualTo(String value) {
            addCriterion("cost_type =", value, "costType");
            return (Criteria) this;
        }

        public Criteria andCostTypeNotEqualTo(String value) {
            addCriterion("cost_type <>", value, "costType");
            return (Criteria) this;
        }

        public Criteria andCostTypeGreaterThan(String value) {
            addCriterion("cost_type >", value, "costType");
            return (Criteria) this;
        }

        public Criteria andCostTypeGreaterThanOrEqualTo(String value) {
            addCriterion("cost_type >=", value, "costType");
            return (Criteria) this;
        }

        public Criteria andCostTypeLessThan(String value) {
            addCriterion("cost_type <", value, "costType");
            return (Criteria) this;
        }

        public Criteria andCostTypeLessThanOrEqualTo(String value) {
            addCriterion("cost_type <=", value, "costType");
            return (Criteria) this;
        }

        public Criteria andCostTypeLike(String value) {
            addCriterion("cost_type like", value, "costType");
            return (Criteria) this;
        }

        public Criteria andCostTypeNotLike(String value) {
            addCriterion("cost_type not like", value, "costType");
            return (Criteria) this;
        }

        public Criteria andCostTypeIn(List<String> values) {
            addCriterion("cost_type in", values, "costType");
            return (Criteria) this;
        }

        public Criteria andCostTypeNotIn(List<String> values) {
            addCriterion("cost_type not in", values, "costType");
            return (Criteria) this;
        }

        public Criteria andCostTypeBetween(String value1, String value2) {
            addCriterion("cost_type between", value1, value2, "costType");
            return (Criteria) this;
        }

        public Criteria andCostTypeNotBetween(String value1, String value2) {
            addCriterion("cost_type not between", value1, value2, "costType");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeIsNull() {
            addCriterion("payment_type is null");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeIsNotNull() {
            addCriterion("payment_type is not null");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeEqualTo(String value) {
            addCriterion("payment_type =", value, "paymentType");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeNotEqualTo(String value) {
            addCriterion("payment_type <>", value, "paymentType");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeGreaterThan(String value) {
            addCriterion("payment_type >", value, "paymentType");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeGreaterThanOrEqualTo(String value) {
            addCriterion("payment_type >=", value, "paymentType");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeLessThan(String value) {
            addCriterion("payment_type <", value, "paymentType");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeLessThanOrEqualTo(String value) {
            addCriterion("payment_type <=", value, "paymentType");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeLike(String value) {
            addCriterion("payment_type like", value, "paymentType");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeNotLike(String value) {
            addCriterion("payment_type not like", value, "paymentType");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeIn(List<String> values) {
            addCriterion("payment_type in", values, "paymentType");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeNotIn(List<String> values) {
            addCriterion("payment_type not in", values, "paymentType");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeBetween(String value1, String value2) {
            addCriterion("payment_type between", value1, value2, "paymentType");
            return (Criteria) this;
        }

        public Criteria andPaymentTypeNotBetween(String value1, String value2) {
            addCriterion("payment_type not between", value1, value2, "paymentType");
            return (Criteria) this;
        }

        public Criteria andSendStatusIsNull() {
            addCriterion("send_status is null");
            return (Criteria) this;
        }

        public Criteria andSendStatusIsNotNull() {
            addCriterion("send_status is not null");
            return (Criteria) this;
        }

        public Criteria andSendStatusEqualTo(String value) {
            addCriterion("send_status =", value, "sendStatus");
            return (Criteria) this;
        }

        public Criteria andSendStatusNotEqualTo(String value) {
            addCriterion("send_status <>", value, "sendStatus");
            return (Criteria) this;
        }

        public Criteria andSendStatusGreaterThan(String value) {
            addCriterion("send_status >", value, "sendStatus");
            return (Criteria) this;
        }

        public Criteria andSendStatusGreaterThanOrEqualTo(String value) {
            addCriterion("send_status >=", value, "sendStatus");
            return (Criteria) this;
        }

        public Criteria andSendStatusLessThan(String value) {
            addCriterion("send_status <", value, "sendStatus");
            return (Criteria) this;
        }

        public Criteria andSendStatusLessThanOrEqualTo(String value) {
            addCriterion("send_status <=", value, "sendStatus");
            return (Criteria) this;
        }

        public Criteria andSendStatusLike(String value) {
            addCriterion("send_status like", value, "sendStatus");
            return (Criteria) this;
        }

        public Criteria andSendStatusNotLike(String value) {
            addCriterion("send_status not like", value, "sendStatus");
            return (Criteria) this;
        }

        public Criteria andSendStatusIn(List<String> values) {
            addCriterion("send_status in", values, "sendStatus");
            return (Criteria) this;
        }

        public Criteria andSendStatusNotIn(List<String> values) {
            addCriterion("send_status not in", values, "sendStatus");
            return (Criteria) this;
        }

        public Criteria andSendStatusBetween(String value1, String value2) {
            addCriterion("send_status between", value1, value2, "sendStatus");
            return (Criteria) this;
        }

        public Criteria andSendStatusNotBetween(String value1, String value2) {
            addCriterion("send_status not between", value1, value2, "sendStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusIsNull() {
            addCriterion("invoice_status is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusIsNotNull() {
            addCriterion("invoice_status is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusEqualTo(String value) {
            addCriterion("invoice_status =", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusNotEqualTo(String value) {
            addCriterion("invoice_status <>", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusGreaterThan(String value) {
            addCriterion("invoice_status >", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_status >=", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusLessThan(String value) {
            addCriterion("invoice_status <", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusLessThanOrEqualTo(String value) {
            addCriterion("invoice_status <=", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusLike(String value) {
            addCriterion("invoice_status like", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusNotLike(String value) {
            addCriterion("invoice_status not like", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusIn(List<String> values) {
            addCriterion("invoice_status in", values, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusNotIn(List<String> values) {
            addCriterion("invoice_status not in", values, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusBetween(String value1, String value2) {
            addCriterion("invoice_status between", value1, value2, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusNotBetween(String value1, String value2) {
            addCriterion("invoice_status not between", value1, value2, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceDateIsNull() {
            addCriterion("invoice_date is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceDateIsNotNull() {
            addCriterion("invoice_date is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceDateEqualTo(Date value) {
            addCriterion("invoice_date =", value, "invoiceDate");
            return (Criteria) this;
        }

        public Criteria andInvoiceDateNotEqualTo(Date value) {
            addCriterion("invoice_date <>", value, "invoiceDate");
            return (Criteria) this;
        }

        public Criteria andInvoiceDateGreaterThan(Date value) {
            addCriterion("invoice_date >", value, "invoiceDate");
            return (Criteria) this;
        }

        public Criteria andInvoiceDateGreaterThanOrEqualTo(Date value) {
            addCriterion("invoice_date >=", value, "invoiceDate");
            return (Criteria) this;
        }

        public Criteria andInvoiceDateLessThan(Date value) {
            addCriterion("invoice_date <", value, "invoiceDate");
            return (Criteria) this;
        }

        public Criteria andInvoiceDateLessThanOrEqualTo(Date value) {
            addCriterion("invoice_date <=", value, "invoiceDate");
            return (Criteria) this;
        }

        public Criteria andInvoiceDateIn(List<Date> values) {
            addCriterion("invoice_date in", values, "invoiceDate");
            return (Criteria) this;
        }

        public Criteria andInvoiceDateNotIn(List<Date> values) {
            addCriterion("invoice_date not in", values, "invoiceDate");
            return (Criteria) this;
        }

        public Criteria andInvoiceDateBetween(Date value1, Date value2) {
            addCriterion("invoice_date between", value1, value2, "invoiceDate");
            return (Criteria) this;
        }

        public Criteria andInvoiceDateNotBetween(Date value1, Date value2) {
            addCriterion("invoice_date not between", value1, value2, "invoiceDate");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeIsNull() {
            addCriterion("invoice_code is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeIsNotNull() {
            addCriterion("invoice_code is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeEqualTo(String value) {
            addCriterion("invoice_code =", value, "invoiceCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeNotEqualTo(String value) {
            addCriterion("invoice_code <>", value, "invoiceCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeGreaterThan(String value) {
            addCriterion("invoice_code >", value, "invoiceCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_code >=", value, "invoiceCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeLessThan(String value) {
            addCriterion("invoice_code <", value, "invoiceCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeLessThanOrEqualTo(String value) {
            addCriterion("invoice_code <=", value, "invoiceCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeLike(String value) {
            addCriterion("invoice_code like", value, "invoiceCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeNotLike(String value) {
            addCriterion("invoice_code not like", value, "invoiceCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeIn(List<String> values) {
            addCriterion("invoice_code in", values, "invoiceCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeNotIn(List<String> values) {
            addCriterion("invoice_code not in", values, "invoiceCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeBetween(String value1, String value2) {
            addCriterion("invoice_code between", value1, value2, "invoiceCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceCodeNotBetween(String value1, String value2) {
            addCriterion("invoice_code not between", value1, value2, "invoiceCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoIsNull() {
            addCriterion("invoice_no is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoIsNotNull() {
            addCriterion("invoice_no is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoEqualTo(String value) {
            addCriterion("invoice_no =", value, "invoiceNo");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoNotEqualTo(String value) {
            addCriterion("invoice_no <>", value, "invoiceNo");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoGreaterThan(String value) {
            addCriterion("invoice_no >", value, "invoiceNo");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_no >=", value, "invoiceNo");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoLessThan(String value) {
            addCriterion("invoice_no <", value, "invoiceNo");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoLessThanOrEqualTo(String value) {
            addCriterion("invoice_no <=", value, "invoiceNo");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoLike(String value) {
            addCriterion("invoice_no like", value, "invoiceNo");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoNotLike(String value) {
            addCriterion("invoice_no not like", value, "invoiceNo");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoIn(List<String> values) {
            addCriterion("invoice_no in", values, "invoiceNo");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoNotIn(List<String> values) {
            addCriterion("invoice_no not in", values, "invoiceNo");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoBetween(String value1, String value2) {
            addCriterion("invoice_no between", value1, value2, "invoiceNo");
            return (Criteria) this;
        }

        public Criteria andInvoiceNoNotBetween(String value1, String value2) {
            addCriterion("invoice_no not between", value1, value2, "invoiceNo");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIsNull() {
            addCriterion("invoice_type is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIsNotNull() {
            addCriterion("invoice_type is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeEqualTo(String value) {
            addCriterion("invoice_type =", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotEqualTo(String value) {
            addCriterion("invoice_type <>", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeGreaterThan(String value) {
            addCriterion("invoice_type >", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_type >=", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeLessThan(String value) {
            addCriterion("invoice_type <", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeLessThanOrEqualTo(String value) {
            addCriterion("invoice_type <=", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeLike(String value) {
            addCriterion("invoice_type like", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotLike(String value) {
            addCriterion("invoice_type not like", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIn(List<String> values) {
            addCriterion("invoice_type in", values, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotIn(List<String> values) {
            addCriterion("invoice_type not in", values, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeBetween(String value1, String value2) {
            addCriterion("invoice_type between", value1, value2, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotBetween(String value1, String value2) {
            addCriterion("invoice_type not between", value1, value2, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceAmountIsNull() {
            addCriterion("invoice_amount is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceAmountIsNotNull() {
            addCriterion("invoice_amount is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceAmountEqualTo(BigDecimal value) {
            addCriterion("invoice_amount =", value, "invoiceAmount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAmountNotEqualTo(BigDecimal value) {
            addCriterion("invoice_amount <>", value, "invoiceAmount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAmountGreaterThan(BigDecimal value) {
            addCriterion("invoice_amount >", value, "invoiceAmount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("invoice_amount >=", value, "invoiceAmount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAmountLessThan(BigDecimal value) {
            addCriterion("invoice_amount <", value, "invoiceAmount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("invoice_amount <=", value, "invoiceAmount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAmountIn(List<BigDecimal> values) {
            addCriterion("invoice_amount in", values, "invoiceAmount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAmountNotIn(List<BigDecimal> values) {
            addCriterion("invoice_amount not in", values, "invoiceAmount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("invoice_amount between", value1, value2, "invoiceAmount");
            return (Criteria) this;
        }

        public Criteria andInvoiceAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("invoice_amount not between", value1, value2, "invoiceAmount");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxIsNull() {
            addCriterion("invoice_tax is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxIsNotNull() {
            addCriterion("invoice_tax is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxEqualTo(String value) {
            addCriterion("invoice_tax =", value, "invoiceTax");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxNotEqualTo(String value) {
            addCriterion("invoice_tax <>", value, "invoiceTax");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxGreaterThan(String value) {
            addCriterion("invoice_tax >", value, "invoiceTax");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_tax >=", value, "invoiceTax");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxLessThan(String value) {
            addCriterion("invoice_tax <", value, "invoiceTax");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxLessThanOrEqualTo(String value) {
            addCriterion("invoice_tax <=", value, "invoiceTax");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxLike(String value) {
            addCriterion("invoice_tax like", value, "invoiceTax");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxNotLike(String value) {
            addCriterion("invoice_tax not like", value, "invoiceTax");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxIn(List<String> values) {
            addCriterion("invoice_tax in", values, "invoiceTax");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxNotIn(List<String> values) {
            addCriterion("invoice_tax not in", values, "invoiceTax");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxBetween(String value1, String value2) {
            addCriterion("invoice_tax between", value1, value2, "invoiceTax");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxNotBetween(String value1, String value2) {
            addCriterion("invoice_tax not between", value1, value2, "invoiceTax");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountIsNull() {
            addCriterion("invoice_count is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountIsNotNull() {
            addCriterion("invoice_count is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountEqualTo(BigDecimal value) {
            addCriterion("invoice_count =", value, "invoiceCount");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountNotEqualTo(BigDecimal value) {
            addCriterion("invoice_count <>", value, "invoiceCount");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountGreaterThan(BigDecimal value) {
            addCriterion("invoice_count >", value, "invoiceCount");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("invoice_count >=", value, "invoiceCount");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountLessThan(BigDecimal value) {
            addCriterion("invoice_count <", value, "invoiceCount");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("invoice_count <=", value, "invoiceCount");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountIn(List<BigDecimal> values) {
            addCriterion("invoice_count in", values, "invoiceCount");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountNotIn(List<BigDecimal> values) {
            addCriterion("invoice_count not in", values, "invoiceCount");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("invoice_count between", value1, value2, "invoiceCount");
            return (Criteria) this;
        }

        public Criteria andInvoiceCountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("invoice_count not between", value1, value2, "invoiceCount");
            return (Criteria) this;
        }

        public Criteria andInvoicePriceIsNull() {
            addCriterion("invoice_price is null");
            return (Criteria) this;
        }

        public Criteria andInvoicePriceIsNotNull() {
            addCriterion("invoice_price is not null");
            return (Criteria) this;
        }

        public Criteria andInvoicePriceEqualTo(BigDecimal value) {
            addCriterion("invoice_price =", value, "invoicePrice");
            return (Criteria) this;
        }

        public Criteria andInvoicePriceNotEqualTo(BigDecimal value) {
            addCriterion("invoice_price <>", value, "invoicePrice");
            return (Criteria) this;
        }

        public Criteria andInvoicePriceGreaterThan(BigDecimal value) {
            addCriterion("invoice_price >", value, "invoicePrice");
            return (Criteria) this;
        }

        public Criteria andInvoicePriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("invoice_price >=", value, "invoicePrice");
            return (Criteria) this;
        }

        public Criteria andInvoicePriceLessThan(BigDecimal value) {
            addCriterion("invoice_price <", value, "invoicePrice");
            return (Criteria) this;
        }

        public Criteria andInvoicePriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("invoice_price <=", value, "invoicePrice");
            return (Criteria) this;
        }

        public Criteria andInvoicePriceIn(List<BigDecimal> values) {
            addCriterion("invoice_price in", values, "invoicePrice");
            return (Criteria) this;
        }

        public Criteria andInvoicePriceNotIn(List<BigDecimal> values) {
            addCriterion("invoice_price not in", values, "invoicePrice");
            return (Criteria) this;
        }

        public Criteria andInvoicePriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("invoice_price between", value1, value2, "invoicePrice");
            return (Criteria) this;
        }

        public Criteria andInvoicePriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("invoice_price not between", value1, value2, "invoicePrice");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeIsNull() {
            addCriterion("invoice_goods_code is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeIsNotNull() {
            addCriterion("invoice_goods_code is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeEqualTo(String value) {
            addCriterion("invoice_goods_code =", value, "invoiceGoodsCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeNotEqualTo(String value) {
            addCriterion("invoice_goods_code <>", value, "invoiceGoodsCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeGreaterThan(String value) {
            addCriterion("invoice_goods_code >", value, "invoiceGoodsCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_goods_code >=", value, "invoiceGoodsCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeLessThan(String value) {
            addCriterion("invoice_goods_code <", value, "invoiceGoodsCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeLessThanOrEqualTo(String value) {
            addCriterion("invoice_goods_code <=", value, "invoiceGoodsCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeLike(String value) {
            addCriterion("invoice_goods_code like", value, "invoiceGoodsCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeNotLike(String value) {
            addCriterion("invoice_goods_code not like", value, "invoiceGoodsCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeIn(List<String> values) {
            addCriterion("invoice_goods_code in", values, "invoiceGoodsCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeNotIn(List<String> values) {
            addCriterion("invoice_goods_code not in", values, "invoiceGoodsCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeBetween(String value1, String value2) {
            addCriterion("invoice_goods_code between", value1, value2, "invoiceGoodsCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsCodeNotBetween(String value1, String value2) {
            addCriterion("invoice_goods_code not between", value1, value2, "invoiceGoodsCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameIsNull() {
            addCriterion("invoice_goods_name is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameIsNotNull() {
            addCriterion("invoice_goods_name is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameEqualTo(String value) {
            addCriterion("invoice_goods_name =", value, "invoiceGoodsName");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameNotEqualTo(String value) {
            addCriterion("invoice_goods_name <>", value, "invoiceGoodsName");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameGreaterThan(String value) {
            addCriterion("invoice_goods_name >", value, "invoiceGoodsName");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_goods_name >=", value, "invoiceGoodsName");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameLessThan(String value) {
            addCriterion("invoice_goods_name <", value, "invoiceGoodsName");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameLessThanOrEqualTo(String value) {
            addCriterion("invoice_goods_name <=", value, "invoiceGoodsName");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameLike(String value) {
            addCriterion("invoice_goods_name like", value, "invoiceGoodsName");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameNotLike(String value) {
            addCriterion("invoice_goods_name not like", value, "invoiceGoodsName");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameIn(List<String> values) {
            addCriterion("invoice_goods_name in", values, "invoiceGoodsName");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameNotIn(List<String> values) {
            addCriterion("invoice_goods_name not in", values, "invoiceGoodsName");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameBetween(String value1, String value2) {
            addCriterion("invoice_goods_name between", value1, value2, "invoiceGoodsName");
            return (Criteria) this;
        }

        public Criteria andInvoiceGoodsNameNotBetween(String value1, String value2) {
            addCriterion("invoice_goods_name not between", value1, value2, "invoiceGoodsName");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameIsNull() {
            addCriterion("invoice_seller_name is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameIsNotNull() {
            addCriterion("invoice_seller_name is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameEqualTo(String value) {
            addCriterion("invoice_seller_name =", value, "invoiceSellerName");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameNotEqualTo(String value) {
            addCriterion("invoice_seller_name <>", value, "invoiceSellerName");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameGreaterThan(String value) {
            addCriterion("invoice_seller_name >", value, "invoiceSellerName");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_seller_name >=", value, "invoiceSellerName");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameLessThan(String value) {
            addCriterion("invoice_seller_name <", value, "invoiceSellerName");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameLessThanOrEqualTo(String value) {
            addCriterion("invoice_seller_name <=", value, "invoiceSellerName");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameLike(String value) {
            addCriterion("invoice_seller_name like", value, "invoiceSellerName");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameNotLike(String value) {
            addCriterion("invoice_seller_name not like", value, "invoiceSellerName");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameIn(List<String> values) {
            addCriterion("invoice_seller_name in", values, "invoiceSellerName");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameNotIn(List<String> values) {
            addCriterion("invoice_seller_name not in", values, "invoiceSellerName");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameBetween(String value1, String value2) {
            addCriterion("invoice_seller_name between", value1, value2, "invoiceSellerName");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNameNotBetween(String value1, String value2) {
            addCriterion("invoice_seller_name not between", value1, value2, "invoiceSellerName");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberIsNull() {
            addCriterion("invoice_seller_number is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberIsNotNull() {
            addCriterion("invoice_seller_number is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberEqualTo(String value) {
            addCriterion("invoice_seller_number =", value, "invoiceSellerNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberNotEqualTo(String value) {
            addCriterion("invoice_seller_number <>", value, "invoiceSellerNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberGreaterThan(String value) {
            addCriterion("invoice_seller_number >", value, "invoiceSellerNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_seller_number >=", value, "invoiceSellerNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberLessThan(String value) {
            addCriterion("invoice_seller_number <", value, "invoiceSellerNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberLessThanOrEqualTo(String value) {
            addCriterion("invoice_seller_number <=", value, "invoiceSellerNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberLike(String value) {
            addCriterion("invoice_seller_number like", value, "invoiceSellerNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberNotLike(String value) {
            addCriterion("invoice_seller_number not like", value, "invoiceSellerNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberIn(List<String> values) {
            addCriterion("invoice_seller_number in", values, "invoiceSellerNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberNotIn(List<String> values) {
            addCriterion("invoice_seller_number not in", values, "invoiceSellerNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberBetween(String value1, String value2) {
            addCriterion("invoice_seller_number between", value1, value2, "invoiceSellerNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerNumberNotBetween(String value1, String value2) {
            addCriterion("invoice_seller_number not between", value1, value2, "invoiceSellerNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankIsNull() {
            addCriterion("invoice_seller_bank is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankIsNotNull() {
            addCriterion("invoice_seller_bank is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankEqualTo(String value) {
            addCriterion("invoice_seller_bank =", value, "invoiceSellerBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNotEqualTo(String value) {
            addCriterion("invoice_seller_bank <>", value, "invoiceSellerBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankGreaterThan(String value) {
            addCriterion("invoice_seller_bank >", value, "invoiceSellerBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_seller_bank >=", value, "invoiceSellerBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankLessThan(String value) {
            addCriterion("invoice_seller_bank <", value, "invoiceSellerBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankLessThanOrEqualTo(String value) {
            addCriterion("invoice_seller_bank <=", value, "invoiceSellerBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankLike(String value) {
            addCriterion("invoice_seller_bank like", value, "invoiceSellerBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNotLike(String value) {
            addCriterion("invoice_seller_bank not like", value, "invoiceSellerBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankIn(List<String> values) {
            addCriterion("invoice_seller_bank in", values, "invoiceSellerBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNotIn(List<String> values) {
            addCriterion("invoice_seller_bank not in", values, "invoiceSellerBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankBetween(String value1, String value2) {
            addCriterion("invoice_seller_bank between", value1, value2, "invoiceSellerBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNotBetween(String value1, String value2) {
            addCriterion("invoice_seller_bank not between", value1, value2, "invoiceSellerBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberIsNull() {
            addCriterion("invoice_seller_bank_number is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberIsNotNull() {
            addCriterion("invoice_seller_bank_number is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberEqualTo(String value) {
            addCriterion("invoice_seller_bank_number =", value, "invoiceSellerBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberNotEqualTo(String value) {
            addCriterion("invoice_seller_bank_number <>", value, "invoiceSellerBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberGreaterThan(String value) {
            addCriterion("invoice_seller_bank_number >", value, "invoiceSellerBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_seller_bank_number >=", value, "invoiceSellerBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberLessThan(String value) {
            addCriterion("invoice_seller_bank_number <", value, "invoiceSellerBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberLessThanOrEqualTo(String value) {
            addCriterion("invoice_seller_bank_number <=", value, "invoiceSellerBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberLike(String value) {
            addCriterion("invoice_seller_bank_number like", value, "invoiceSellerBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberNotLike(String value) {
            addCriterion("invoice_seller_bank_number not like", value, "invoiceSellerBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberIn(List<String> values) {
            addCriterion("invoice_seller_bank_number in", values, "invoiceSellerBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberNotIn(List<String> values) {
            addCriterion("invoice_seller_bank_number not in", values, "invoiceSellerBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberBetween(String value1, String value2) {
            addCriterion("invoice_seller_bank_number between", value1, value2, "invoiceSellerBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerBankNumberNotBetween(String value1, String value2) {
            addCriterion("invoice_seller_bank_number not between", value1, value2, "invoiceSellerBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressIsNull() {
            addCriterion("invoice_seller_address is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressIsNotNull() {
            addCriterion("invoice_seller_address is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressEqualTo(String value) {
            addCriterion("invoice_seller_address =", value, "invoiceSellerAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressNotEqualTo(String value) {
            addCriterion("invoice_seller_address <>", value, "invoiceSellerAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressGreaterThan(String value) {
            addCriterion("invoice_seller_address >", value, "invoiceSellerAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_seller_address >=", value, "invoiceSellerAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressLessThan(String value) {
            addCriterion("invoice_seller_address <", value, "invoiceSellerAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressLessThanOrEqualTo(String value) {
            addCriterion("invoice_seller_address <=", value, "invoiceSellerAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressLike(String value) {
            addCriterion("invoice_seller_address like", value, "invoiceSellerAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressNotLike(String value) {
            addCriterion("invoice_seller_address not like", value, "invoiceSellerAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressIn(List<String> values) {
            addCriterion("invoice_seller_address in", values, "invoiceSellerAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressNotIn(List<String> values) {
            addCriterion("invoice_seller_address not in", values, "invoiceSellerAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressBetween(String value1, String value2) {
            addCriterion("invoice_seller_address between", value1, value2, "invoiceSellerAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerAddressNotBetween(String value1, String value2) {
            addCriterion("invoice_seller_address not between", value1, value2, "invoiceSellerAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneIsNull() {
            addCriterion("invoice_seller_phone is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneIsNotNull() {
            addCriterion("invoice_seller_phone is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneEqualTo(String value) {
            addCriterion("invoice_seller_phone =", value, "invoiceSellerPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneNotEqualTo(String value) {
            addCriterion("invoice_seller_phone <>", value, "invoiceSellerPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneGreaterThan(String value) {
            addCriterion("invoice_seller_phone >", value, "invoiceSellerPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_seller_phone >=", value, "invoiceSellerPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneLessThan(String value) {
            addCriterion("invoice_seller_phone <", value, "invoiceSellerPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneLessThanOrEqualTo(String value) {
            addCriterion("invoice_seller_phone <=", value, "invoiceSellerPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneLike(String value) {
            addCriterion("invoice_seller_phone like", value, "invoiceSellerPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneNotLike(String value) {
            addCriterion("invoice_seller_phone not like", value, "invoiceSellerPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneIn(List<String> values) {
            addCriterion("invoice_seller_phone in", values, "invoiceSellerPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneNotIn(List<String> values) {
            addCriterion("invoice_seller_phone not in", values, "invoiceSellerPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneBetween(String value1, String value2) {
            addCriterion("invoice_seller_phone between", value1, value2, "invoiceSellerPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceSellerPhoneNotBetween(String value1, String value2) {
            addCriterion("invoice_seller_phone not between", value1, value2, "invoiceSellerPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailIsNull() {
            addCriterion("invoice_email is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailIsNotNull() {
            addCriterion("invoice_email is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailEqualTo(String value) {
            addCriterion("invoice_email =", value, "invoiceEmail");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailNotEqualTo(String value) {
            addCriterion("invoice_email <>", value, "invoiceEmail");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailGreaterThan(String value) {
            addCriterion("invoice_email >", value, "invoiceEmail");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_email >=", value, "invoiceEmail");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailLessThan(String value) {
            addCriterion("invoice_email <", value, "invoiceEmail");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailLessThanOrEqualTo(String value) {
            addCriterion("invoice_email <=", value, "invoiceEmail");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailLike(String value) {
            addCriterion("invoice_email like", value, "invoiceEmail");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailNotLike(String value) {
            addCriterion("invoice_email not like", value, "invoiceEmail");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailIn(List<String> values) {
            addCriterion("invoice_email in", values, "invoiceEmail");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailNotIn(List<String> values) {
            addCriterion("invoice_email not in", values, "invoiceEmail");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailBetween(String value1, String value2) {
            addCriterion("invoice_email between", value1, value2, "invoiceEmail");
            return (Criteria) this;
        }

        public Criteria andInvoiceEmailNotBetween(String value1, String value2) {
            addCriterion("invoice_email not between", value1, value2, "invoiceEmail");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneIsNull() {
            addCriterion("invoice_phone is null");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneIsNotNull() {
            addCriterion("invoice_phone is not null");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneEqualTo(String value) {
            addCriterion("invoice_phone =", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneNotEqualTo(String value) {
            addCriterion("invoice_phone <>", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneGreaterThan(String value) {
            addCriterion("invoice_phone >", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_phone >=", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneLessThan(String value) {
            addCriterion("invoice_phone <", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneLessThanOrEqualTo(String value) {
            addCriterion("invoice_phone <=", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneLike(String value) {
            addCriterion("invoice_phone like", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneNotLike(String value) {
            addCriterion("invoice_phone not like", value, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneIn(List<String> values) {
            addCriterion("invoice_phone in", values, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneNotIn(List<String> values) {
            addCriterion("invoice_phone not in", values, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneBetween(String value1, String value2) {
            addCriterion("invoice_phone between", value1, value2, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoicePhoneNotBetween(String value1, String value2) {
            addCriterion("invoice_phone not between", value1, value2, "invoicePhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentIsNull() {
            addCriterion("invoice_content is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentIsNotNull() {
            addCriterion("invoice_content is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentEqualTo(String value) {
            addCriterion("invoice_content =", value, "invoiceContent");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentNotEqualTo(String value) {
            addCriterion("invoice_content <>", value, "invoiceContent");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentGreaterThan(String value) {
            addCriterion("invoice_content >", value, "invoiceContent");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_content >=", value, "invoiceContent");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentLessThan(String value) {
            addCriterion("invoice_content <", value, "invoiceContent");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentLessThanOrEqualTo(String value) {
            addCriterion("invoice_content <=", value, "invoiceContent");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentLike(String value) {
            addCriterion("invoice_content like", value, "invoiceContent");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentNotLike(String value) {
            addCriterion("invoice_content not like", value, "invoiceContent");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentIn(List<String> values) {
            addCriterion("invoice_content in", values, "invoiceContent");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentNotIn(List<String> values) {
            addCriterion("invoice_content not in", values, "invoiceContent");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentBetween(String value1, String value2) {
            addCriterion("invoice_content between", value1, value2, "invoiceContent");
            return (Criteria) this;
        }

        public Criteria andInvoiceContentNotBetween(String value1, String value2) {
            addCriterion("invoice_content not between", value1, value2, "invoiceContent");
            return (Criteria) this;
        }

        public Criteria andSubmitTimeIsNull() {
            addCriterion("submit_time is null");
            return (Criteria) this;
        }

        public Criteria andSubmitTimeIsNotNull() {
            addCriterion("submit_time is not null");
            return (Criteria) this;
        }

        public Criteria andSubmitTimeEqualTo(Date value) {
            addCriterion("submit_time =", value, "submitTime");
            return (Criteria) this;
        }

        public Criteria andSubmitTimeNotEqualTo(Date value) {
            addCriterion("submit_time <>", value, "submitTime");
            return (Criteria) this;
        }

        public Criteria andSubmitTimeGreaterThan(Date value) {
            addCriterion("submit_time >", value, "submitTime");
            return (Criteria) this;
        }

        public Criteria andSubmitTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("submit_time >=", value, "submitTime");
            return (Criteria) this;
        }

        public Criteria andSubmitTimeLessThan(Date value) {
            addCriterion("submit_time <", value, "submitTime");
            return (Criteria) this;
        }

        public Criteria andSubmitTimeLessThanOrEqualTo(Date value) {
            addCriterion("submit_time <=", value, "submitTime");
            return (Criteria) this;
        }

        public Criteria andSubmitTimeIn(List<Date> values) {
            addCriterion("submit_time in", values, "submitTime");
            return (Criteria) this;
        }

        public Criteria andSubmitTimeNotIn(List<Date> values) {
            addCriterion("submit_time not in", values, "submitTime");
            return (Criteria) this;
        }

        public Criteria andSubmitTimeBetween(Date value1, Date value2) {
            addCriterion("submit_time between", value1, value2, "submitTime");
            return (Criteria) this;
        }

        public Criteria andSubmitTimeNotBetween(Date value1, Date value2) {
            addCriterion("submit_time not between", value1, value2, "submitTime");
            return (Criteria) this;
        }

        public Criteria andSubmitUserIsNull() {
            addCriterion("submit_user is null");
            return (Criteria) this;
        }

        public Criteria andSubmitUserIsNotNull() {
            addCriterion("submit_user is not null");
            return (Criteria) this;
        }

        public Criteria andSubmitUserEqualTo(String value) {
            addCriterion("submit_user =", value, "submitUser");
            return (Criteria) this;
        }

        public Criteria andSubmitUserNotEqualTo(String value) {
            addCriterion("submit_user <>", value, "submitUser");
            return (Criteria) this;
        }

        public Criteria andSubmitUserGreaterThan(String value) {
            addCriterion("submit_user >", value, "submitUser");
            return (Criteria) this;
        }

        public Criteria andSubmitUserGreaterThanOrEqualTo(String value) {
            addCriterion("submit_user >=", value, "submitUser");
            return (Criteria) this;
        }

        public Criteria andSubmitUserLessThan(String value) {
            addCriterion("submit_user <", value, "submitUser");
            return (Criteria) this;
        }

        public Criteria andSubmitUserLessThanOrEqualTo(String value) {
            addCriterion("submit_user <=", value, "submitUser");
            return (Criteria) this;
        }

        public Criteria andSubmitUserLike(String value) {
            addCriterion("submit_user like", value, "submitUser");
            return (Criteria) this;
        }

        public Criteria andSubmitUserNotLike(String value) {
            addCriterion("submit_user not like", value, "submitUser");
            return (Criteria) this;
        }

        public Criteria andSubmitUserIn(List<String> values) {
            addCriterion("submit_user in", values, "submitUser");
            return (Criteria) this;
        }

        public Criteria andSubmitUserNotIn(List<String> values) {
            addCriterion("submit_user not in", values, "submitUser");
            return (Criteria) this;
        }

        public Criteria andSubmitUserBetween(String value1, String value2) {
            addCriterion("submit_user between", value1, value2, "submitUser");
            return (Criteria) this;
        }

        public Criteria andSubmitUserNotBetween(String value1, String value2) {
            addCriterion("submit_user not between", value1, value2, "submitUser");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdIsNull() {
            addCriterion("invoice_header_id is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdIsNotNull() {
            addCriterion("invoice_header_id is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdEqualTo(String value) {
            addCriterion("invoice_header_id =", value, "invoiceHeaderId");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdNotEqualTo(String value) {
            addCriterion("invoice_header_id <>", value, "invoiceHeaderId");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdGreaterThan(String value) {
            addCriterion("invoice_header_id >", value, "invoiceHeaderId");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_header_id >=", value, "invoiceHeaderId");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdLessThan(String value) {
            addCriterion("invoice_header_id <", value, "invoiceHeaderId");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdLessThanOrEqualTo(String value) {
            addCriterion("invoice_header_id <=", value, "invoiceHeaderId");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdLike(String value) {
            addCriterion("invoice_header_id like", value, "invoiceHeaderId");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdNotLike(String value) {
            addCriterion("invoice_header_id not like", value, "invoiceHeaderId");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdIn(List<String> values) {
            addCriterion("invoice_header_id in", values, "invoiceHeaderId");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdNotIn(List<String> values) {
            addCriterion("invoice_header_id not in", values, "invoiceHeaderId");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdBetween(String value1, String value2) {
            addCriterion("invoice_header_id between", value1, value2, "invoiceHeaderId");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderIdNotBetween(String value1, String value2) {
            addCriterion("invoice_header_id not between", value1, value2, "invoiceHeaderId");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameIsNull() {
            addCriterion("invoice_header_name is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameIsNotNull() {
            addCriterion("invoice_header_name is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameEqualTo(String value) {
            addCriterion("invoice_header_name =", value, "invoiceHeaderName");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameNotEqualTo(String value) {
            addCriterion("invoice_header_name <>", value, "invoiceHeaderName");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameGreaterThan(String value) {
            addCriterion("invoice_header_name >", value, "invoiceHeaderName");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_header_name >=", value, "invoiceHeaderName");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameLessThan(String value) {
            addCriterion("invoice_header_name <", value, "invoiceHeaderName");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameLessThanOrEqualTo(String value) {
            addCriterion("invoice_header_name <=", value, "invoiceHeaderName");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameLike(String value) {
            addCriterion("invoice_header_name like", value, "invoiceHeaderName");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameNotLike(String value) {
            addCriterion("invoice_header_name not like", value, "invoiceHeaderName");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameIn(List<String> values) {
            addCriterion("invoice_header_name in", values, "invoiceHeaderName");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameNotIn(List<String> values) {
            addCriterion("invoice_header_name not in", values, "invoiceHeaderName");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameBetween(String value1, String value2) {
            addCriterion("invoice_header_name between", value1, value2, "invoiceHeaderName");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNameNotBetween(String value1, String value2) {
            addCriterion("invoice_header_name not between", value1, value2, "invoiceHeaderName");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberIsNull() {
            addCriterion("invoice_header_number is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberIsNotNull() {
            addCriterion("invoice_header_number is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberEqualTo(String value) {
            addCriterion("invoice_header_number =", value, "invoiceHeaderNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberNotEqualTo(String value) {
            addCriterion("invoice_header_number <>", value, "invoiceHeaderNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberGreaterThan(String value) {
            addCriterion("invoice_header_number >", value, "invoiceHeaderNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_header_number >=", value, "invoiceHeaderNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberLessThan(String value) {
            addCriterion("invoice_header_number <", value, "invoiceHeaderNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberLessThanOrEqualTo(String value) {
            addCriterion("invoice_header_number <=", value, "invoiceHeaderNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberLike(String value) {
            addCriterion("invoice_header_number like", value, "invoiceHeaderNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberNotLike(String value) {
            addCriterion("invoice_header_number not like", value, "invoiceHeaderNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberIn(List<String> values) {
            addCriterion("invoice_header_number in", values, "invoiceHeaderNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberNotIn(List<String> values) {
            addCriterion("invoice_header_number not in", values, "invoiceHeaderNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberBetween(String value1, String value2) {
            addCriterion("invoice_header_number between", value1, value2, "invoiceHeaderNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderNumberNotBetween(String value1, String value2) {
            addCriterion("invoice_header_number not between", value1, value2, "invoiceHeaderNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressIsNull() {
            addCriterion("invoice_header_address is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressIsNotNull() {
            addCriterion("invoice_header_address is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressEqualTo(String value) {
            addCriterion("invoice_header_address =", value, "invoiceHeaderAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressNotEqualTo(String value) {
            addCriterion("invoice_header_address <>", value, "invoiceHeaderAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressGreaterThan(String value) {
            addCriterion("invoice_header_address >", value, "invoiceHeaderAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_header_address >=", value, "invoiceHeaderAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressLessThan(String value) {
            addCriterion("invoice_header_address <", value, "invoiceHeaderAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressLessThanOrEqualTo(String value) {
            addCriterion("invoice_header_address <=", value, "invoiceHeaderAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressLike(String value) {
            addCriterion("invoice_header_address like", value, "invoiceHeaderAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressNotLike(String value) {
            addCriterion("invoice_header_address not like", value, "invoiceHeaderAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressIn(List<String> values) {
            addCriterion("invoice_header_address in", values, "invoiceHeaderAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressNotIn(List<String> values) {
            addCriterion("invoice_header_address not in", values, "invoiceHeaderAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressBetween(String value1, String value2) {
            addCriterion("invoice_header_address between", value1, value2, "invoiceHeaderAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderAddressNotBetween(String value1, String value2) {
            addCriterion("invoice_header_address not between", value1, value2, "invoiceHeaderAddress");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneIsNull() {
            addCriterion("invoice_header_phone is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneIsNotNull() {
            addCriterion("invoice_header_phone is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneEqualTo(String value) {
            addCriterion("invoice_header_phone =", value, "invoiceHeaderPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneNotEqualTo(String value) {
            addCriterion("invoice_header_phone <>", value, "invoiceHeaderPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneGreaterThan(String value) {
            addCriterion("invoice_header_phone >", value, "invoiceHeaderPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_header_phone >=", value, "invoiceHeaderPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneLessThan(String value) {
            addCriterion("invoice_header_phone <", value, "invoiceHeaderPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneLessThanOrEqualTo(String value) {
            addCriterion("invoice_header_phone <=", value, "invoiceHeaderPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneLike(String value) {
            addCriterion("invoice_header_phone like", value, "invoiceHeaderPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneNotLike(String value) {
            addCriterion("invoice_header_phone not like", value, "invoiceHeaderPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneIn(List<String> values) {
            addCriterion("invoice_header_phone in", values, "invoiceHeaderPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneNotIn(List<String> values) {
            addCriterion("invoice_header_phone not in", values, "invoiceHeaderPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneBetween(String value1, String value2) {
            addCriterion("invoice_header_phone between", value1, value2, "invoiceHeaderPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderPhoneNotBetween(String value1, String value2) {
            addCriterion("invoice_header_phone not between", value1, value2, "invoiceHeaderPhone");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankIsNull() {
            addCriterion("invoice_header_bank is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankIsNotNull() {
            addCriterion("invoice_header_bank is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankEqualTo(String value) {
            addCriterion("invoice_header_bank =", value, "invoiceHeaderBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNotEqualTo(String value) {
            addCriterion("invoice_header_bank <>", value, "invoiceHeaderBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankGreaterThan(String value) {
            addCriterion("invoice_header_bank >", value, "invoiceHeaderBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_header_bank >=", value, "invoiceHeaderBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankLessThan(String value) {
            addCriterion("invoice_header_bank <", value, "invoiceHeaderBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankLessThanOrEqualTo(String value) {
            addCriterion("invoice_header_bank <=", value, "invoiceHeaderBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankLike(String value) {
            addCriterion("invoice_header_bank like", value, "invoiceHeaderBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNotLike(String value) {
            addCriterion("invoice_header_bank not like", value, "invoiceHeaderBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankIn(List<String> values) {
            addCriterion("invoice_header_bank in", values, "invoiceHeaderBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNotIn(List<String> values) {
            addCriterion("invoice_header_bank not in", values, "invoiceHeaderBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankBetween(String value1, String value2) {
            addCriterion("invoice_header_bank between", value1, value2, "invoiceHeaderBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNotBetween(String value1, String value2) {
            addCriterion("invoice_header_bank not between", value1, value2, "invoiceHeaderBank");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberIsNull() {
            addCriterion("invoice_header_bank_number is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberIsNotNull() {
            addCriterion("invoice_header_bank_number is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberEqualTo(String value) {
            addCriterion("invoice_header_bank_number =", value, "invoiceHeaderBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberNotEqualTo(String value) {
            addCriterion("invoice_header_bank_number <>", value, "invoiceHeaderBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberGreaterThan(String value) {
            addCriterion("invoice_header_bank_number >", value, "invoiceHeaderBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_header_bank_number >=", value, "invoiceHeaderBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberLessThan(String value) {
            addCriterion("invoice_header_bank_number <", value, "invoiceHeaderBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberLessThanOrEqualTo(String value) {
            addCriterion("invoice_header_bank_number <=", value, "invoiceHeaderBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberLike(String value) {
            addCriterion("invoice_header_bank_number like", value, "invoiceHeaderBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberNotLike(String value) {
            addCriterion("invoice_header_bank_number not like", value, "invoiceHeaderBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberIn(List<String> values) {
            addCriterion("invoice_header_bank_number in", values, "invoiceHeaderBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberNotIn(List<String> values) {
            addCriterion("invoice_header_bank_number not in", values, "invoiceHeaderBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberBetween(String value1, String value2) {
            addCriterion("invoice_header_bank_number between", value1, value2, "invoiceHeaderBankNumber");
            return (Criteria) this;
        }

        public Criteria andInvoiceHeaderBankNumberNotBetween(String value1, String value2) {
            addCriterion("invoice_header_bank_number not between", value1, value2, "invoiceHeaderBankNumber");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonIsNull() {
            addCriterion("bad_debt_reason is null");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonIsNotNull() {
            addCriterion("bad_debt_reason is not null");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonEqualTo(String value) {
            addCriterion("bad_debt_reason =", value, "badDebtReason");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonNotEqualTo(String value) {
            addCriterion("bad_debt_reason <>", value, "badDebtReason");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonGreaterThan(String value) {
            addCriterion("bad_debt_reason >", value, "badDebtReason");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonGreaterThanOrEqualTo(String value) {
            addCriterion("bad_debt_reason >=", value, "badDebtReason");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonLessThan(String value) {
            addCriterion("bad_debt_reason <", value, "badDebtReason");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonLessThanOrEqualTo(String value) {
            addCriterion("bad_debt_reason <=", value, "badDebtReason");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonLike(String value) {
            addCriterion("bad_debt_reason like", value, "badDebtReason");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonNotLike(String value) {
            addCriterion("bad_debt_reason not like", value, "badDebtReason");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonIn(List<String> values) {
            addCriterion("bad_debt_reason in", values, "badDebtReason");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonNotIn(List<String> values) {
            addCriterion("bad_debt_reason not in", values, "badDebtReason");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonBetween(String value1, String value2) {
            addCriterion("bad_debt_reason between", value1, value2, "badDebtReason");
            return (Criteria) this;
        }

        public Criteria andBadDebtReasonNotBetween(String value1, String value2) {
            addCriterion("bad_debt_reason not between", value1, value2, "badDebtReason");
            return (Criteria) this;
        }

        public Criteria andCreateUserIsNull() {
            addCriterion("create_user is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIsNotNull() {
            addCriterion("create_user is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserEqualTo(String value) {
            addCriterion("create_user =", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotEqualTo(String value) {
            addCriterion("create_user <>", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserGreaterThan(String value) {
            addCriterion("create_user >", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserGreaterThanOrEqualTo(String value) {
            addCriterion("create_user >=", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLessThan(String value) {
            addCriterion("create_user <", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLessThanOrEqualTo(String value) {
            addCriterion("create_user <=", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLike(String value) {
            addCriterion("create_user like", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotLike(String value) {
            addCriterion("create_user not like", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserIn(List<String> values) {
            addCriterion("create_user in", values, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotIn(List<String> values) {
            addCriterion("create_user not in", values, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserBetween(String value1, String value2) {
            addCriterion("create_user between", value1, value2, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotBetween(String value1, String value2) {
            addCriterion("create_user not between", value1, value2, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIsNull() {
            addCriterion("update_user is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIsNotNull() {
            addCriterion("update_user is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserEqualTo(String value) {
            addCriterion("update_user =", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotEqualTo(String value) {
            addCriterion("update_user <>", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserGreaterThan(String value) {
            addCriterion("update_user >", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserGreaterThanOrEqualTo(String value) {
            addCriterion("update_user >=", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLessThan(String value) {
            addCriterion("update_user <", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLessThanOrEqualTo(String value) {
            addCriterion("update_user <=", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLike(String value) {
            addCriterion("update_user like", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotLike(String value) {
            addCriterion("update_user not like", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIn(List<String> values) {
            addCriterion("update_user in", values, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotIn(List<String> values) {
            addCriterion("update_user not in", values, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserBetween(String value1, String value2) {
            addCriterion("update_user between", value1, value2, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotBetween(String value1, String value2) {
            addCriterion("update_user not between", value1, value2, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileIsNull() {
            addCriterion("invoice_file is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileIsNotNull() {
            addCriterion("invoice_file is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileEqualTo(String value) {
            addCriterion("invoice_file =", value, "invoiceFile");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileNotEqualTo(String value) {
            addCriterion("invoice_file <>", value, "invoiceFile");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileGreaterThan(String value) {
            addCriterion("invoice_file >", value, "invoiceFile");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_file >=", value, "invoiceFile");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileLessThan(String value) {
            addCriterion("invoice_file <", value, "invoiceFile");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileLessThanOrEqualTo(String value) {
            addCriterion("invoice_file <=", value, "invoiceFile");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileLike(String value) {
            addCriterion("invoice_file like", value, "invoiceFile");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileNotLike(String value) {
            addCriterion("invoice_file not like", value, "invoiceFile");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileIn(List<String> values) {
            addCriterion("invoice_file in", values, "invoiceFile");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileNotIn(List<String> values) {
            addCriterion("invoice_file not in", values, "invoiceFile");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileBetween(String value1, String value2) {
            addCriterion("invoice_file between", value1, value2, "invoiceFile");
            return (Criteria) this;
        }

        public Criteria andInvoiceFileNotBetween(String value1, String value2) {
            addCriterion("invoice_file not between", value1, value2, "invoiceFile");
            return (Criteria) this;
        }

        public Criteria andTakeStatusIsNull() {
            addCriterion("take_status is null");
            return (Criteria) this;
        }

        public Criteria andTakeStatusIsNotNull() {
            addCriterion("take_status is not null");
            return (Criteria) this;
        }

        public Criteria andTakeStatusEqualTo(String value) {
            addCriterion("take_status =", value, "takeStatus");
            return (Criteria) this;
        }

        public Criteria andTakeStatusNotEqualTo(String value) {
            addCriterion("take_status <>", value, "takeStatus");
            return (Criteria) this;
        }

        public Criteria andTakeStatusGreaterThan(String value) {
            addCriterion("take_status >", value, "takeStatus");
            return (Criteria) this;
        }

        public Criteria andTakeStatusGreaterThanOrEqualTo(String value) {
            addCriterion("take_status >=", value, "takeStatus");
            return (Criteria) this;
        }

        public Criteria andTakeStatusLessThan(String value) {
            addCriterion("take_status <", value, "takeStatus");
            return (Criteria) this;
        }

        public Criteria andTakeStatusLessThanOrEqualTo(String value) {
            addCriterion("take_status <=", value, "takeStatus");
            return (Criteria) this;
        }

        public Criteria andTakeStatusLike(String value) {
            addCriterion("take_status like", value, "takeStatus");
            return (Criteria) this;
        }

        public Criteria andTakeStatusNotLike(String value) {
            addCriterion("take_status not like", value, "takeStatus");
            return (Criteria) this;
        }

        public Criteria andTakeStatusIn(List<String> values) {
            addCriterion("take_status in", values, "takeStatus");
            return (Criteria) this;
        }

        public Criteria andTakeStatusNotIn(List<String> values) {
            addCriterion("take_status not in", values, "takeStatus");
            return (Criteria) this;
        }

        public Criteria andTakeStatusBetween(String value1, String value2) {
            addCriterion("take_status between", value1, value2, "takeStatus");
            return (Criteria) this;
        }

        public Criteria andTakeStatusNotBetween(String value1, String value2) {
            addCriterion("take_status not between", value1, value2, "takeStatus");
            return (Criteria) this;
        }

        public Criteria andTakeUserIsNull() {
            addCriterion("take_user is null");
            return (Criteria) this;
        }

        public Criteria andTakeUserIsNotNull() {
            addCriterion("take_user is not null");
            return (Criteria) this;
        }

        public Criteria andTakeUserEqualTo(String value) {
            addCriterion("take_user =", value, "takeUser");
            return (Criteria) this;
        }

        public Criteria andTakeUserNotEqualTo(String value) {
            addCriterion("take_user <>", value, "takeUser");
            return (Criteria) this;
        }

        public Criteria andTakeUserGreaterThan(String value) {
            addCriterion("take_user >", value, "takeUser");
            return (Criteria) this;
        }

        public Criteria andTakeUserGreaterThanOrEqualTo(String value) {
            addCriterion("take_user >=", value, "takeUser");
            return (Criteria) this;
        }

        public Criteria andTakeUserLessThan(String value) {
            addCriterion("take_user <", value, "takeUser");
            return (Criteria) this;
        }

        public Criteria andTakeUserLessThanOrEqualTo(String value) {
            addCriterion("take_user <=", value, "takeUser");
            return (Criteria) this;
        }

        public Criteria andTakeUserLike(String value) {
            addCriterion("take_user like", value, "takeUser");
            return (Criteria) this;
        }

        public Criteria andTakeUserNotLike(String value) {
            addCriterion("take_user not like", value, "takeUser");
            return (Criteria) this;
        }

        public Criteria andTakeUserIn(List<String> values) {
            addCriterion("take_user in", values, "takeUser");
            return (Criteria) this;
        }

        public Criteria andTakeUserNotIn(List<String> values) {
            addCriterion("take_user not in", values, "takeUser");
            return (Criteria) this;
        }

        public Criteria andTakeUserBetween(String value1, String value2) {
            addCriterion("take_user between", value1, value2, "takeUser");
            return (Criteria) this;
        }

        public Criteria andTakeUserNotBetween(String value1, String value2) {
            addCriterion("take_user not between", value1, value2, "takeUser");
            return (Criteria) this;
        }

        public Criteria andTakeDateIsNull() {
            addCriterion("take_date is null");
            return (Criteria) this;
        }

        public Criteria andTakeDateIsNotNull() {
            addCriterion("take_date is not null");
            return (Criteria) this;
        }

        public Criteria andTakeDateEqualTo(Date value) {
            addCriterion("take_date =", value, "takeDate");
            return (Criteria) this;
        }

        public Criteria andTakeDateNotEqualTo(Date value) {
            addCriterion("take_date <>", value, "takeDate");
            return (Criteria) this;
        }

        public Criteria andTakeDateGreaterThan(Date value) {
            addCriterion("take_date >", value, "takeDate");
            return (Criteria) this;
        }

        public Criteria andTakeDateGreaterThanOrEqualTo(Date value) {
            addCriterion("take_date >=", value, "takeDate");
            return (Criteria) this;
        }

        public Criteria andTakeDateLessThan(Date value) {
            addCriterion("take_date <", value, "takeDate");
            return (Criteria) this;
        }

        public Criteria andTakeDateLessThanOrEqualTo(Date value) {
            addCriterion("take_date <=", value, "takeDate");
            return (Criteria) this;
        }

        public Criteria andTakeDateIn(List<Date> values) {
            addCriterion("take_date in", values, "takeDate");
            return (Criteria) this;
        }

        public Criteria andTakeDateNotIn(List<Date> values) {
            addCriterion("take_date not in", values, "takeDate");
            return (Criteria) this;
        }

        public Criteria andTakeDateBetween(Date value1, Date value2) {
            addCriterion("take_date between", value1, value2, "takeDate");
            return (Criteria) this;
        }

        public Criteria andTakeDateNotBetween(Date value1, Date value2) {
            addCriterion("take_date not between", value1, value2, "takeDate");
            return (Criteria) this;
        }

        public Criteria andTakeNotesIsNull() {
            addCriterion("take_notes is null");
            return (Criteria) this;
        }

        public Criteria andTakeNotesIsNotNull() {
            addCriterion("take_notes is not null");
            return (Criteria) this;
        }

        public Criteria andTakeNotesEqualTo(String value) {
            addCriterion("take_notes =", value, "takeNotes");
            return (Criteria) this;
        }

        public Criteria andTakeNotesNotEqualTo(String value) {
            addCriterion("take_notes <>", value, "takeNotes");
            return (Criteria) this;
        }

        public Criteria andTakeNotesGreaterThan(String value) {
            addCriterion("take_notes >", value, "takeNotes");
            return (Criteria) this;
        }

        public Criteria andTakeNotesGreaterThanOrEqualTo(String value) {
            addCriterion("take_notes >=", value, "takeNotes");
            return (Criteria) this;
        }

        public Criteria andTakeNotesLessThan(String value) {
            addCriterion("take_notes <", value, "takeNotes");
            return (Criteria) this;
        }

        public Criteria andTakeNotesLessThanOrEqualTo(String value) {
            addCriterion("take_notes <=", value, "takeNotes");
            return (Criteria) this;
        }

        public Criteria andTakeNotesLike(String value) {
            addCriterion("take_notes like", value, "takeNotes");
            return (Criteria) this;
        }

        public Criteria andTakeNotesNotLike(String value) {
            addCriterion("take_notes not like", value, "takeNotes");
            return (Criteria) this;
        }

        public Criteria andTakeNotesIn(List<String> values) {
            addCriterion("take_notes in", values, "takeNotes");
            return (Criteria) this;
        }

        public Criteria andTakeNotesNotIn(List<String> values) {
            addCriterion("take_notes not in", values, "takeNotes");
            return (Criteria) this;
        }

        public Criteria andTakeNotesBetween(String value1, String value2) {
            addCriterion("take_notes between", value1, value2, "takeNotes");
            return (Criteria) this;
        }

        public Criteria andTakeNotesNotBetween(String value1, String value2) {
            addCriterion("take_notes not between", value1, value2, "takeNotes");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserIsNull() {
            addCriterion("take_update_user is null");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserIsNotNull() {
            addCriterion("take_update_user is not null");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserEqualTo(String value) {
            addCriterion("take_update_user =", value, "takeUpdateUser");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserNotEqualTo(String value) {
            addCriterion("take_update_user <>", value, "takeUpdateUser");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserGreaterThan(String value) {
            addCriterion("take_update_user >", value, "takeUpdateUser");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserGreaterThanOrEqualTo(String value) {
            addCriterion("take_update_user >=", value, "takeUpdateUser");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserLessThan(String value) {
            addCriterion("take_update_user <", value, "takeUpdateUser");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserLessThanOrEqualTo(String value) {
            addCriterion("take_update_user <=", value, "takeUpdateUser");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserLike(String value) {
            addCriterion("take_update_user like", value, "takeUpdateUser");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserNotLike(String value) {
            addCriterion("take_update_user not like", value, "takeUpdateUser");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserIn(List<String> values) {
            addCriterion("take_update_user in", values, "takeUpdateUser");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserNotIn(List<String> values) {
            addCriterion("take_update_user not in", values, "takeUpdateUser");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserBetween(String value1, String value2) {
            addCriterion("take_update_user between", value1, value2, "takeUpdateUser");
            return (Criteria) this;
        }

        public Criteria andTakeUpdateUserNotBetween(String value1, String value2) {
            addCriterion("take_update_user not between", value1, value2, "takeUpdateUser");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoIsNull() {
            addCriterion("red_invoice_no is null");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoIsNotNull() {
            addCriterion("red_invoice_no is not null");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoEqualTo(String value) {
            addCriterion("red_invoice_no =", value, "redInvoiceNo");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoNotEqualTo(String value) {
            addCriterion("red_invoice_no <>", value, "redInvoiceNo");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoGreaterThan(String value) {
            addCriterion("red_invoice_no >", value, "redInvoiceNo");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoGreaterThanOrEqualTo(String value) {
            addCriterion("red_invoice_no >=", value, "redInvoiceNo");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoLessThan(String value) {
            addCriterion("red_invoice_no <", value, "redInvoiceNo");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoLessThanOrEqualTo(String value) {
            addCriterion("red_invoice_no <=", value, "redInvoiceNo");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoLike(String value) {
            addCriterion("red_invoice_no like", value, "redInvoiceNo");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoNotLike(String value) {
            addCriterion("red_invoice_no not like", value, "redInvoiceNo");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoIn(List<String> values) {
            addCriterion("red_invoice_no in", values, "redInvoiceNo");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoNotIn(List<String> values) {
            addCriterion("red_invoice_no not in", values, "redInvoiceNo");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoBetween(String value1, String value2) {
            addCriterion("red_invoice_no between", value1, value2, "redInvoiceNo");
            return (Criteria) this;
        }

        public Criteria andRedInvoiceNoNotBetween(String value1, String value2) {
            addCriterion("red_invoice_no not between", value1, value2, "redInvoiceNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidIsNull() {
            addCriterion("red_confirm_uuid is null");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidIsNotNull() {
            addCriterion("red_confirm_uuid is not null");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidEqualTo(String value) {
            addCriterion("red_confirm_uuid =", value, "redConfirmUuid");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidNotEqualTo(String value) {
            addCriterion("red_confirm_uuid <>", value, "redConfirmUuid");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidGreaterThan(String value) {
            addCriterion("red_confirm_uuid >", value, "redConfirmUuid");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidGreaterThanOrEqualTo(String value) {
            addCriterion("red_confirm_uuid >=", value, "redConfirmUuid");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidLessThan(String value) {
            addCriterion("red_confirm_uuid <", value, "redConfirmUuid");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidLessThanOrEqualTo(String value) {
            addCriterion("red_confirm_uuid <=", value, "redConfirmUuid");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidLike(String value) {
            addCriterion("red_confirm_uuid like", value, "redConfirmUuid");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidNotLike(String value) {
            addCriterion("red_confirm_uuid not like", value, "redConfirmUuid");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidIn(List<String> values) {
            addCriterion("red_confirm_uuid in", values, "redConfirmUuid");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidNotIn(List<String> values) {
            addCriterion("red_confirm_uuid not in", values, "redConfirmUuid");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidBetween(String value1, String value2) {
            addCriterion("red_confirm_uuid between", value1, value2, "redConfirmUuid");
            return (Criteria) this;
        }

        public Criteria andRedConfirmUuidNotBetween(String value1, String value2) {
            addCriterion("red_confirm_uuid not between", value1, value2, "redConfirmUuid");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoIsNull() {
            addCriterion("red_confirm_no is null");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoIsNotNull() {
            addCriterion("red_confirm_no is not null");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoEqualTo(String value) {
            addCriterion("red_confirm_no =", value, "redConfirmNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoNotEqualTo(String value) {
            addCriterion("red_confirm_no <>", value, "redConfirmNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoGreaterThan(String value) {
            addCriterion("red_confirm_no >", value, "redConfirmNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoGreaterThanOrEqualTo(String value) {
            addCriterion("red_confirm_no >=", value, "redConfirmNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoLessThan(String value) {
            addCriterion("red_confirm_no <", value, "redConfirmNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoLessThanOrEqualTo(String value) {
            addCriterion("red_confirm_no <=", value, "redConfirmNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoLike(String value) {
            addCriterion("red_confirm_no like", value, "redConfirmNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoNotLike(String value) {
            addCriterion("red_confirm_no not like", value, "redConfirmNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoIn(List<String> values) {
            addCriterion("red_confirm_no in", values, "redConfirmNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoNotIn(List<String> values) {
            addCriterion("red_confirm_no not in", values, "redConfirmNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoBetween(String value1, String value2) {
            addCriterion("red_confirm_no between", value1, value2, "redConfirmNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmNoNotBetween(String value1, String value2) {
            addCriterion("red_confirm_no not between", value1, value2, "redConfirmNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoIsNull() {
            addCriterion("red_confirm_serial_no is null");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoIsNotNull() {
            addCriterion("red_confirm_serial_no is not null");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoEqualTo(String value) {
            addCriterion("red_confirm_serial_no =", value, "redConfirmSerialNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoNotEqualTo(String value) {
            addCriterion("red_confirm_serial_no <>", value, "redConfirmSerialNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoGreaterThan(String value) {
            addCriterion("red_confirm_serial_no >", value, "redConfirmSerialNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoGreaterThanOrEqualTo(String value) {
            addCriterion("red_confirm_serial_no >=", value, "redConfirmSerialNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoLessThan(String value) {
            addCriterion("red_confirm_serial_no <", value, "redConfirmSerialNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoLessThanOrEqualTo(String value) {
            addCriterion("red_confirm_serial_no <=", value, "redConfirmSerialNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoLike(String value) {
            addCriterion("red_confirm_serial_no like", value, "redConfirmSerialNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoNotLike(String value) {
            addCriterion("red_confirm_serial_no not like", value, "redConfirmSerialNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoIn(List<String> values) {
            addCriterion("red_confirm_serial_no in", values, "redConfirmSerialNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoNotIn(List<String> values) {
            addCriterion("red_confirm_serial_no not in", values, "redConfirmSerialNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoBetween(String value1, String value2) {
            addCriterion("red_confirm_serial_no between", value1, value2, "redConfirmSerialNo");
            return (Criteria) this;
        }

        public Criteria andRedConfirmSerialNoNotBetween(String value1, String value2) {
            addCriterion("red_confirm_serial_no not between", value1, value2, "redConfirmSerialNo");
            return (Criteria) this;
        }

        public Criteria andConfirmStateIsNull() {
            addCriterion("confirm_state is null");
            return (Criteria) this;
        }

        public Criteria andConfirmStateIsNotNull() {
            addCriterion("confirm_state is not null");
            return (Criteria) this;
        }

        public Criteria andConfirmStateEqualTo(String value) {
            addCriterion("confirm_state =", value, "confirmState");
            return (Criteria) this;
        }

        public Criteria andConfirmStateNotEqualTo(String value) {
            addCriterion("confirm_state <>", value, "confirmState");
            return (Criteria) this;
        }

        public Criteria andConfirmStateGreaterThan(String value) {
            addCriterion("confirm_state >", value, "confirmState");
            return (Criteria) this;
        }

        public Criteria andConfirmStateGreaterThanOrEqualTo(String value) {
            addCriterion("confirm_state >=", value, "confirmState");
            return (Criteria) this;
        }

        public Criteria andConfirmStateLessThan(String value) {
            addCriterion("confirm_state <", value, "confirmState");
            return (Criteria) this;
        }

        public Criteria andConfirmStateLessThanOrEqualTo(String value) {
            addCriterion("confirm_state <=", value, "confirmState");
            return (Criteria) this;
        }

        public Criteria andConfirmStateLike(String value) {
            addCriterion("confirm_state like", value, "confirmState");
            return (Criteria) this;
        }

        public Criteria andConfirmStateNotLike(String value) {
            addCriterion("confirm_state not like", value, "confirmState");
            return (Criteria) this;
        }

        public Criteria andConfirmStateIn(List<String> values) {
            addCriterion("confirm_state in", values, "confirmState");
            return (Criteria) this;
        }

        public Criteria andConfirmStateNotIn(List<String> values) {
            addCriterion("confirm_state not in", values, "confirmState");
            return (Criteria) this;
        }

        public Criteria andConfirmStateBetween(String value1, String value2) {
            addCriterion("confirm_state between", value1, value2, "confirmState");
            return (Criteria) this;
        }

        public Criteria andConfirmStateNotBetween(String value1, String value2) {
            addCriterion("confirm_state not between", value1, value2, "confirmState");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlIsNull() {
            addCriterion("e_invoice_url is null");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlIsNotNull() {
            addCriterion("e_invoice_url is not null");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlEqualTo(String value) {
            addCriterion("e_invoice_url =", value, "eInvoiceUrl");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlNotEqualTo(String value) {
            addCriterion("e_invoice_url <>", value, "eInvoiceUrl");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlGreaterThan(String value) {
            addCriterion("e_invoice_url >", value, "eInvoiceUrl");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlGreaterThanOrEqualTo(String value) {
            addCriterion("e_invoice_url >=", value, "eInvoiceUrl");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlLessThan(String value) {
            addCriterion("e_invoice_url <", value, "eInvoiceUrl");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlLessThanOrEqualTo(String value) {
            addCriterion("e_invoice_url <=", value, "eInvoiceUrl");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlLike(String value) {
            addCriterion("e_invoice_url like", value, "eInvoiceUrl");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlNotLike(String value) {
            addCriterion("e_invoice_url not like", value, "eInvoiceUrl");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlIn(List<String> values) {
            addCriterion("e_invoice_url in", values, "eInvoiceUrl");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlNotIn(List<String> values) {
            addCriterion("e_invoice_url not in", values, "eInvoiceUrl");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlBetween(String value1, String value2) {
            addCriterion("e_invoice_url between", value1, value2, "eInvoiceUrl");
            return (Criteria) this;
        }

        public Criteria andEInvoiceUrlNotBetween(String value1, String value2) {
            addCriterion("e_invoice_url not between", value1, value2, "eInvoiceUrl");
            return (Criteria) this;
        }

        public Criteria andSerialNoIsNull() {
            addCriterion("serial_no is null");
            return (Criteria) this;
        }

        public Criteria andSerialNoIsNotNull() {
            addCriterion("serial_no is not null");
            return (Criteria) this;
        }

        public Criteria andSerialNoEqualTo(String value) {
            addCriterion("serial_no =", value, "serialNo");
            return (Criteria) this;
        }

        public Criteria andSerialNoNotEqualTo(String value) {
            addCriterion("serial_no <>", value, "serialNo");
            return (Criteria) this;
        }

        public Criteria andSerialNoGreaterThan(String value) {
            addCriterion("serial_no >", value, "serialNo");
            return (Criteria) this;
        }

        public Criteria andSerialNoGreaterThanOrEqualTo(String value) {
            addCriterion("serial_no >=", value, "serialNo");
            return (Criteria) this;
        }

        public Criteria andSerialNoLessThan(String value) {
            addCriterion("serial_no <", value, "serialNo");
            return (Criteria) this;
        }

        public Criteria andSerialNoLessThanOrEqualTo(String value) {
            addCriterion("serial_no <=", value, "serialNo");
            return (Criteria) this;
        }

        public Criteria andSerialNoLike(String value) {
            addCriterion("serial_no like", value, "serialNo");
            return (Criteria) this;
        }

        public Criteria andSerialNoNotLike(String value) {
            addCriterion("serial_no not like", value, "serialNo");
            return (Criteria) this;
        }

        public Criteria andSerialNoIn(List<String> values) {
            addCriterion("serial_no in", values, "serialNo");
            return (Criteria) this;
        }

        public Criteria andSerialNoNotIn(List<String> values) {
            addCriterion("serial_no not in", values, "serialNo");
            return (Criteria) this;
        }

        public Criteria andSerialNoBetween(String value1, String value2) {
            addCriterion("serial_no between", value1, value2, "serialNo");
            return (Criteria) this;
        }

        public Criteria andSerialNoNotBetween(String value1, String value2) {
            addCriterion("serial_no not between", value1, value2, "serialNo");
            return (Criteria) this;
        }

        public Criteria andSpecificationsIsNull() {
            addCriterion("specifications is null");
            return (Criteria) this;
        }

        public Criteria andSpecificationsIsNotNull() {
            addCriterion("specifications is not null");
            return (Criteria) this;
        }

        public Criteria andSpecificationsEqualTo(String value) {
            addCriterion("specifications =", value, "specifications");
            return (Criteria) this;
        }

        public Criteria andSpecificationsNotEqualTo(String value) {
            addCriterion("specifications <>", value, "specifications");
            return (Criteria) this;
        }

        public Criteria andSpecificationsGreaterThan(String value) {
            addCriterion("specifications >", value, "specifications");
            return (Criteria) this;
        }

        public Criteria andSpecificationsGreaterThanOrEqualTo(String value) {
            addCriterion("specifications >=", value, "specifications");
            return (Criteria) this;
        }

        public Criteria andSpecificationsLessThan(String value) {
            addCriterion("specifications <", value, "specifications");
            return (Criteria) this;
        }

        public Criteria andSpecificationsLessThanOrEqualTo(String value) {
            addCriterion("specifications <=", value, "specifications");
            return (Criteria) this;
        }

        public Criteria andSpecificationsLike(String value) {
            addCriterion("specifications like", value, "specifications");
            return (Criteria) this;
        }

        public Criteria andSpecificationsNotLike(String value) {
            addCriterion("specifications not like", value, "specifications");
            return (Criteria) this;
        }

        public Criteria andSpecificationsIn(List<String> values) {
            addCriterion("specifications in", values, "specifications");
            return (Criteria) this;
        }

        public Criteria andSpecificationsNotIn(List<String> values) {
            addCriterion("specifications not in", values, "specifications");
            return (Criteria) this;
        }

        public Criteria andSpecificationsBetween(String value1, String value2) {
            addCriterion("specifications between", value1, value2, "specifications");
            return (Criteria) this;
        }

        public Criteria andSpecificationsNotBetween(String value1, String value2) {
            addCriterion("specifications not between", value1, value2, "specifications");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}