package com.idea.oa.apply.util.constant;

import java.util.HashMap;
import java.util.Locale;
import java.util.Map;

/**
 * 这是业务配置类
 */
public class ConstantFlowType {
    public final static String[] aggree = {"yes", "no", "back"};
    public static Map<Integer, String> nodeKeysName = new HashMap<>();

    static {
        ConstantFlowType.nodeKeysName.put(1, "申请人发起");
        ConstantFlowType.nodeKeysName.put(11, "curr_user");
//        ConstantFlowType.nodeKeysName.put("dept_superior","直接上级审核");
//        ConstantFlowType.nodeKeysName.put("dept_head","部门负责人审核");
//        ConstantFlowType.nodeKeysName.put("flow_fgld","分管领导审核");
//        ConstantFlowType.nodeKeysName.put("flow_sjfgld","上级分管领导审核");
//        ConstantFlowType.nodeKeysName.put("flow_zyld","主要领导审核");
//        ConstantFlowType.nodeKeysName.put("flow_cnzf","出纳支付");
//        ConstantFlowType.nodeKeysName.put("flow_zffh","支付复核");
    }


    //获取判断条件
//    public final static  String[]
    //请假一天需要消耗多少小时的调休假
    public final static double ONE_DAY_TIME = 7.5;
    //如果都没有找到对应的人审核就找id为1的用户审核
    public final static String ADMINID = "1";
    //注意,部门和部门主管的角色是写死的
    //获取用户流程类型
    public final static String[] FLOW_ROLES = {"flow_cwld","flow_fgld", "flow_sjfgld", "flow_zyld"};//领导查看
    public final static String[] FLOW_ROLES_DEPT = {"curr_user", "dept_superior", "dept_head"};//部门查看
    public final static String[] FLOW_ROLES_CHECK = {"flow_cnzf", "flow_zffh"};//出纳查看
    public final static String[] ROLES = {"cwld","fgld", "sjfgld", "zyld"};//领导查看(不带主类型)
    public final static String[] ROLES_CHECK = {"cnzf", "zffh"};//出纳查看(不带主类型)
    public final static String[] PURCHASE_FLOW_ROLES_CHECK = {"flow_cgzy"};// 采购申请用
    public final static String[] PURCHASE_ROLES_CHECK = {"cgzy"};//采购申请用
    public final static String PURCHASE_ROLES_CHECK_PLUS = "COMPANYCG";//采购申请用
    public final static String ROLETYPE = "FLOW";
    public final static String ROLETYPE2 = "DATA"; // 采购申请用


    //流程类型/名称(off_work请假申请;paymen付款申请;use_money费用报支(因为比较繁杂,用英文字符串表示))',

    public final static String OFF_WORK = "off_work";
    public final static String OFF_WORK_NAME = "请假申请";
    public final static String OFF_WORK_PROCESSDEFINE = "apply_off_work";//自己瞎写的
    public static String OFF_WORK_DEPLOYMENTID = "20002";//自己瞎写的
    //请假申请流程顺序
    public static String[] OFF_WORK_FLOWSTEPS_noenough = {"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1","only_tiaoxiujia"};
    public static String[] OFF_WORK_FLOWSTEPS_noenough2 = {"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1","only_tiaoxiujia","less_3day"};

    public static String[] OFF_WORK_FLOWSTEPS_enough = {"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1","only_tiaoxiujia","less_3day", "flow_fgld_1_0_1", "flow_sjfgld_1_0_1", "flow_zyld_1_0_1"};
//    key="curr_user"          name="申请人发起"
//    key="dept_superior_1_0_1"          name="直接上级审核"
//    key="dept_head_1_0_1"          name="部门负责人审核"
//    key="flow_fgld_1_0_1"          name="分管领导审核"
//    key="flow_sjfgld_1_0_1"          name="上级分管领导审核"
//    key="flow_zyld_1_0_1"          name="主要领导审核"


    //===============================================================================
    //业务中存的区别字符
    public final static String PAYMEN = "paymen";
    //业务中存的区别说明
    public final static String PAYMEN_NAME = "付款申请";
    //流程引擎中用的区别字符
    public final static String PAYMEN_PROCESSDEFINE = "apply_pay_out";//自己瞎写的
    //流程引擎中用的区别编号
    public static String PAYMEN_DEPLOYMENTID = "20002";//自己瞎写的
    //流程顺序
    public static String[] PAYMEN_FLOWSTEPS = {"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1", "flow_fgld_1_0_1", "flow_sjfgld_1_0_1", "flow_zyld_1_0_1", "flow_cnzf_0_0_1", "flow_zffh_0_0_1"};
    //    key="curr_user"      name="申请人发起"
//    key="dept_superior_1_0_1"      name="直接上级审核"
//    key="dept_head_1_0_1"      name="部门负责人审核"
//    key="flow_fgld_1_0_1"      name="分管领导审核"
//    key="flow_sjfgld_1_0_1"      name="上级分管领导审核"
//    key="flow_zyld_1_0_1"      name="主要领导审核"
//    key="flow_cnzf_0_0_1"      name="出纳支付"
//    key="flow_zffh_0_0_1"      name="支付复核"

    //===============================================================================
    public final static String USE_MONEY = "use_money";
    public final static String USE_MONEY_NAME = "费用报支申请";
    public final static String USE_MONEY_PROCESSDEFINE = "apply_pay";//启动流程的时候对应的processDefine值
    public static String USE_MONEY_DEPLOYMENTID = "50005";//查看流程情况时 付款申请对应的值
    //流程顺序
    public static String[] USE_MONEY_FLOWSTEPS_noenough = {"curr_user", "dept_superior_1_0_1-yes", "dept_head_1_0_1-yes", "flow_cnzf_0_0_1-yes@noenough", "flow_zffh_0_0_1-yes@end"};
    public static String[] USE_MONEY_FLOWSTEPS_enough = {"curr_user", "dept_superior_1_0_1-yes", "dept_head_1_0_1-yes",
            "flow_fgld_1_0_1-yes", "flow_sjfgld_1_0_1-yes", "flow_zyld_1_0_1-yes", "flow_cnzf_0_0_1-yes@enough", "flow_zffh_0_0_1-yes@end"};
//    key="curr_user"      name="申请人发起"
//    key="dept_superior_1_0_1-yes"      name="直接上级审核"
//    key="dept_head_1_0_1-yes"      name="部门负责人审核"
//    key="flow_fgld_1_0_1-yes"      name="分管领导审核"
//    key="flow_sjfgld_1_0_1-yes"      name="上级分管领导审核"
//    key="flow_zyld_1_0_1-yes"      name="主要领导审核"
//    key="flow_cnzf_0_0_1-yes@noenough"      name="出纳支付不满3000"
//    key="flow_cnzf_0_0_1-yes@enough"      name="出纳支付满3000"
//    key="flow_zffh_0_0_1-yes@end"      name="支付复核"


    //===============================================================================

    public final static String ADD_WORK = "add_work";
    public final static String ADD_WORK_NAME = "加班申请";
    public final static String ADD_WORK_PROCESSDEFINE = "apply_overtime_work";//自己瞎写的  todo 要对应resources/processes目录下的对应bpmn文件 process id="xxx"
    public static String ADD_WORK_DEPLOYMENTID = "20003";//自己瞎写的
    //流程顺序
    public static String[] ADD_WORK_FLOWSTEPS={"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1", "flow_fgld_1_0_1", "flow_sjfgld_1_0_1", "flow_zyld_1_0_1"};
//    key="curr_user"      name="申请人发起"
//    key="dept_superior_1_0_1"      name="直接上级审核"
//    key="dept_head_1_0_1"      name="部门负责人审核"
//    key="flow_fgld_1_0_1"      name="分管领导审核"
//    key="flow_sjfgld_1_0_1"      name="上级分管领导审核"
//    key="flow_zyld_1_0_1"      name="主要领导审核"

    //===============================================================================
    //    key="curr_user"      name="申请人发起"
    //    key="dept_superior_1_0_1"      name="直接上级审核"
    //    key="dept_head_1_0_1"      name="部门负责人审核"
    //    key="flow_fgld_1_0_1"      name="分管领导审核"
    //    key="flow_sjfgld_1_0_1"      name="上级分管领导审核"
    //    key="flow_zyld_1_0_1"      name="主要领导审核"
    //    key="flow_cgzy_1_0_1"      name="采购专员审核"
    public final static String PURCHASE_WORK = "purchase_work";
    public final static String PURCHASE_WORK_NAME = "采购申请";
    public final static String PURCHASE_WORK_PROCESS_DEFINE = "apply_purchase";
    public static String PURCHASE_WORK_DEPLOYMENT_ID = "23333";
    //流程顺序
    public static String[] PURCHASE_WORK_FLOW_STEPS={"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1",
            "flow_fgld_1_0_1", "flow_sjfgld_1_0_1", "flow_zyld_1_0_1", "flow_cgzy_1_0_1"};



    //===============================================================================
    // 新项目的付款申请
    public final static String PAYMENT = "payment";
    public final static String PAYMENT_NAME = "付款申请";
    public final static String PAYMENT_PROCESSDEFINE = "applyPayment";//自己瞎写的  todo 要对应resources/processes目录下的对应bpmn文件 process id="xxx"
    public static String PAYMENT_DEPLOYMENTID = "20004";//自己瞎写的
    //流程顺序
    public static String[] PAYMENT_FLOWSTEPS={"curr_user",  "dept_head_1_0_1","flow_cwld_1_0_1", "flow_fgld_1_0_1", "flow_sjfgld_1_0_1", "flow_zyld_1_0_1"};
//    key="curr_user"      name="申请人发起"
//    key="dept_superior_1_0_1"      name="直接上级审核"
//    key="dept_head_1_0_1"      name="部门负责人审核"
//    key="flow_fgld_1_0_1"      name="分管领导审核"
//    key="flow_sjfgld_1_0_1"      name="上级分管领导审核"
//    key="flow_zyld_1_0_1"      name="主要领导审核"



}
